nfs-utils (1:2.8.2-1) unstable; urgency=medium

  * New upstream version 2.8.2
  * debian/nfs.conf: Sync default for nfsd threads with upstream to 16
  * nfs-kernel-server: Don't install anymore nfsdcltrack

 -- Salvatore Bonaccorso <carnil@debian.org>  Wed, 11 Dec 2024 10:23:29 +0100

nfs-utils (1:2.8.1-2) unstable; urgency=medium

  * exports: Fix referrals when --enable-junction=no
    (Closes: #1083098, #1035908)

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 09 Dec 2024 19:12:25 +0100

nfs-utils (1:2.8.1-1) unstable; urgency=medium

  * Prepare for upload to unstable

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 26 Oct 2024 13:33:28 +0200

nfs-utils (1:2.8.1-1~exp1) experimental; urgency=medium

  * New upstream version 2.8.1
  * debian/control: Add Build-Depends on libnl-3-dev, libnl-genl-3-dev,
    libreadline-dev
  * nfs-kernel-server: Install nfsdctl utility and nfsdctl(8) manpage

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 19 Oct 2024 22:21:31 +0200

nfs-utils (1:2.7.1-3) unstable; urgency=medium

  * rpc.idmapd: nfsopen() failures should not be fatal (Closes: #1072573)

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 20 Sep 2024 20:36:56 +0200

nfs-utils (1:2.7.1-2) unstable; urgency=medium

  * d/control: nfs-common: Move python3 to Recommends (Closes: #1013868)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 14 Sep 2024 10:13:35 +0200

nfs-utils (1:2.7.1-1) unstable; urgency=medium

  * Prepare for upload to unstable

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 31 Aug 2024 15:54:43 +0200

nfs-utils (1:2.7.1-1~exp1) experimental; urgency=medium

  * New upstream version 2.7.1 (Closes: #1077023)
  * debian/nfs.conf: Sync base version with upstream's nfs.conf

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 26 Aug 2024 22:12:44 +0200

nfs-utils (1:2.6.4-6) unstable; urgency=medium

  [ Andreas Hasenack ]
  * d/t/{control,kerberos-mount,util}: test NFSv4 krb5p mounts
  * d/t/{control, v3-mount}: specific NFSv3 mount test
  * kerberos-mount: improve cleanup()
  * v3-mount: improve cleanup()
  * d/t/util: remove shebang
  * d/t/util: remove unused die() function

  [ Ben Hutchings ]
  * Stop shipping /var/lib/nfs/{etab,rmtab,state} (Closes: #1074359)
  * Preserve /var/lib/nfs/{etab,rmtab,state} on upgrade from old version
  * nfs-kernel-server: Don't remove /var/lib/nfs/{etab,rmtab} in a failed
    upgrade
  * nfs-common: Remove /var/lib/nfs/{sm,sm.bak,state} in unusual removal cases

  [ Salvatore Bonaccorso ]
  * debian/control: Replace Build-Depends on pkg-config with pkgconf

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 25 Aug 2024 20:48:59 +0200

nfs-utils (1:2.6.4-5) unstable; urgency=medium

  * Add missing #include <stddef.h> (Closes: #1073818)
  * Declare compliance with Debian policy 4.7.0

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 22 Jun 2024 11:50:22 +0200

nfs-utils (1:2.6.4-4) unstable; urgency=medium

  * junction: export-cache: cast to a type with a known size to ensure sprintf
    works (Closes: #1067829)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 07 Apr 2024 07:01:47 +0200

nfs-utils (1:2.6.4-3) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * fsidd: call anonymous sockets by their name only, don't fill with NULs to
    108 bytes (Closes: #1051132)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 03 Dec 2023 14:58:30 +0100

nfs-utils (1:2.6.4-2) unstable; urgency=medium

  * Built with enabled support for NFS junctions
    - Configure with --enable-junction to enable support for NFS junctions
    - debian/control: Add Build-Depends on libxml2-dev
  * nfs-kernel-server: Install nfsref utility and nfsref(8) manpage
    (Closes: #1055675)

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 23 Nov 2023 08:09:12 +0100

nfs-utils (1:2.6.4-1) unstable; urgency=medium

  * Upload to unstable

 -- Salvatore Bonaccorso <carnil@debian.org>  Wed, 22 Nov 2023 07:15:57 +0100

nfs-utils (1:2.6.4-1~exp1) experimental; urgency=medium

  * New upstream version 2.6.4

 -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 21 Nov 2023 16:02:51 +0100

nfs-utils (1:2.6.3-4~exp1) experimental; urgency=medium

  * Remove extraneous words left behind by commit 522837f. (Closes: #1051088)
  * Install systemd units to /usr/lib/systemd/system
    - debian/rules: Drop explicit setting with path for Debian
      --with=systemd=/lib/systemd/system and install the systemd units by
      default in /usr/lib/systemd/system trough --with-systemd
    - debian/nfs-common.install: Install systemd units from
      /usr/lib/system/system
    - debian/nfs-kernel-server.install: Install systemd units from
      /usr/lib/system/system
    - debian/*.links: Create symlinks for systemd units from and to
      /usr/lib/systemd/system instead of /lib/systemd/system
  * debian/rules: Don't force nfsdcltrack and mount helpers into /sbin
  * nfs-common: Install {u,}mount.nfs{,4} into /usr/sbin
  * nfs-common: lintian-overides: Adjust paths after installation to /usr/sbin
  * nfs-kernel-server: Install nfsdcltrack to /usr/sbin
  * debian/rules: Update chmod call to fix permissions of /usr/sbin/mount.nfs
  * Install rpc.statd, sm-notify and showmount into /usr/sbin
    - Install binaries to default locations in /usr/sbin
    - Drop now oboslete patches to reference sm-notify from /sbin
    - Drop now obsolete patches to change ExecStart to start sm-notify and
      rpc.statd from /sbin

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 20 Nov 2023 22:13:01 +0100

nfs-utils (1:2.6.3-3) unstable; urgency=medium

  * nfs-idmapd.service: add network-online.target to Wants= and After=
    (Closes: #1035840)
  * libnfsidmap: try to get the domain directly from hostname if the DNS
    lookup fails and always show the log message if the domain can't be
    determined

 -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 01 Aug 2023 15:10:41 +0200

nfs-utils (1:2.6.3-2) unstable; urgency=medium

  * fsidd: provide better default socket name. (Closes: #1041147)
  * nfs-kernel-server: Handle leftover /fsid.sock socket

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 24 Jul 2023 11:01:42 +0200

nfs-utils (1:2.6.3-1) unstable; urgency=medium

  [ Andreas Hasenack ]
  * Rely on the generator units for the rpc_pipefs mount (Closes: #1014429)
    - d/p/always-run-generator.patch: run the generator even if the config
      differs from the built-in default
    - d/rules: exclude the units we will let the generator produce

  [ Ben Hutchings ]
  * Remove obsolete postinst upgrade logic and nfsconvert.py
  * init: Remove support for setting command-line options in /etc/default
  * d/salsa-ci.yml: Add shellcheck job
  * start-statd: Fix shellcheck warnings
  * init: Fix shellcheck warnings and info, thanks to наб (Closes: #1017869)
  * d/*.bug-script: Fix redundant use of cat noted by shellcheck

  [ Salvatore Bonaccorso ]
  * Upload to unstable

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 09 Jul 2023 10:34:04 +0200

nfs-utils (1:2.6.3-1~exp1) experimental; urgency=medium

  [ Ben Hutchings ]
  * d/control: Remove obsolete dependencies on lsb-base

  [ Salvatore Bonaccorso ]
  * New upstream version 2.6.3
  * nfs-kernel-server: export: Add fsidd
  * nfs-kernel-server: Add fsid systemd service file
  * debian/rules: Replace call to dpkg-architecture with Makefile snippet
    include
  * nfs-common: lintian-overrides: Adapt overrides to new format
  * nfs-kernel-server: lintian-overrides: Adapt overrides to new format

  [ наб ]
  * d/nfs-common.bug-script: fix stray \ warnings
  * d/nfs-kernel-server.bug-script: fix stray \ warnings

  [ Debian Janitor ]
  * Apply multi-arch hints: libnfsidmap-dev: Add Multi-Arch: same

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 23 Apr 2023 18:08:07 +0200

nfs-utils (1:2.6.2-4) unstable; urgency=medium

  [ Guillem Jover ]
  * Fix LSB init script output (Closes: #939153)

  [ Salvatore Bonaccorso ]
  * systemd: Don't degrade system state for nfs-clients when krb5 keytab
    present but not containing the nfs/<FQDN> principal (Closes: #985002)
  * Declare compliance with Debian policy 4.6.2

 -- Salvatore Bonaccorso <carnil@debian.org>  Wed, 11 Jan 2023 21:41:40 +0100

nfs-utils (1:2.6.2-3) unstable; urgency=medium

  * Revert "Install upstream modprobe configuration file"
  * Revert "configure: make modprobe.d directory configurable."
  * Revert "modprobe: protect against sysctl errors"
  * Revert "systemd: Apply all sysctl settings when NFS-related modules are
    loaded"
  * systemd: Apply all sysctl settings through udev rule when NFS-related
    modules are loaded (Closes: #1024082)
  * nfs-kernel-server: Install upstream udev configuration file
  * auth-rpcgss-module.service: Don't fail inside linux container
    (Closes: #985000)

 -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 06 Dec 2022 16:38:32 +0100

nfs-utils (1:2.6.2-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Update lintian override info to new format on line 2.

  [ Salvatore Bonaccorso ]
  * blkmapd: fix coredump in bl_add_disk (Closes: #1022185)

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 24 Nov 2022 23:42:20 +0100

nfs-utils (1:2.6.2-1) unstable; urgency=medium

  * Upload to unstable

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 02 Sep 2022 18:31:01 +0200

nfs-utils (1:2.6.2-1~exp1) experimental; urgency=medium

  [ Salvatore Bonaccorso ]
  * New upstream version 2.6.2
  * nfs-common: Install new rpcctl tool
  * nfs-common: Install nfsrahead to configure the readahead for NFS mounts
  * debian/rules: Build with DEB_BUILD_MAINT_OPTIONS = hardening=+all
  * Declare compliance with Debian policy 4.6.1
  * Install upstream modprobe configuration file
    - Apply all sysctl settings when NFS-related modules are loaded.
    - Configure modprobe.d directory to /lib/modprobe.d
  * debian/control: nfs-kernel-server: Add Suggests on procps

  [ Andreas Hasenack ]
  * nfs-common.postrm: also purge /etc/nfs.conf.d/local.conf
  * nfs-common.dirs: we also own /etc/nfs.conf.d

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 21 Aug 2022 22:41:04 +0200

nfs-utils (1:2.6.1-2) unstable; urgency=medium

  [ Andreas Hasenack ]
  * d/nfsconvert.py: add short "u" option for mountd's no-udp
  * d/nfs-*.bug-script: update for new config files

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Update renamed lintian tag names in lintian overrides.

  [ Ben Hutchings ]
  * nfs-kernel-server: Add NEWS entry for removal of NFSv2 (Closes: #1006650)
  * nfs-common: Add NEWS entry for configuration file conversion
  * nfsidmap.man: Fix section number (Closes: #947202)
  * d/nfsconvert.py: Convert RPCMOUNTDOPTS without --manage-gids correctly
    (Closes: #1006841)
  * d/*.bug-script: Do not fail if grep finds no matching lines
    (see #977904)
  * nfs-common: Remove obsolete symlinks for sysvinit runlevels 2-5
    (Closes: #740018)

  [ Salvatore Bonaccorso ]
  * debian/nfs.conf: Sync base version with upstream's nfs.conf

 -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 12 Apr 2022 12:20:44 +0200

nfs-utils (1:2.6.1-1) unstable; urgency=medium

  [ Ben Hutchings ]
  * Delete obsolete README.Debian.nfsv4
  * nfs-common: Remove obsolete upgrade logic from postinst
  * nfs-common: Do not remove statoverride of mount.nfs on upgrade
  * nfs-common: Convert /etc/default/nfs-* into /etc/nfs.conf.d/local.conf on
    upgrade

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on libtirpc-dev.
    + nfs-kernel-server: Drop versioned constraint on lsb-base in Depends.
    + nfs-common: Drop versioned constraint on lsb-base in Depends.
    + nfs-common: Drop versioned constraint on mount and nfs-kernel-server in
      Replaces.
    + nfs-common: Drop versioned constraint on nfs-kernel-server in Breaks.
    + libnfsidmap1: Drop versioned constraint on nfs-common in Replaces.
    + libnfsidmap1: Drop versioned constraint on nfs-common in Breaks.

 -- Ben Hutchings <benh@debian.org>  Thu, 24 Feb 2022 14:54:49 +0100

nfs-utils (1:2.6.1-1~exp1) experimental; urgency=medium

  [ Romain Perier ]
  * debian/rules: Modernize the packaging rules
    - Standard compiler flags are now used (Closes: #756906)
  * debian/control: No longer depends on dh-autoreconf

  [ Ben Hutchings ]
  * lintian: Refresh lintian-overrides
  * d/control: Make nfs-kernel-server directly Recommend python3, as
    lintian wants
  * d/control: Reduce priority of libnfsidmap1 to optional as well
  * Fix man page syntax errors
  * d/control: Add debhelper-generated Pre-Depends to nfs-common
  * d/control: Use my debian.org email in Uploaders field
  * tests: Skip test if /dev/log is missing
  * d/salsa-ci.yml: Add CI configuration for salsa.debian.org

  [ Salvatore Bonaccorso ]
  * debian/control: Use the debhelper-compat notation and drop debian/compat
    file
  * New upstream version 2.6.1

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 22 Jan 2022 20:16:02 +0100

nfs-utils (1:2.5.4-1~exp5) experimental; urgency=medium

  * Handle fade out-of /var/lib/nfs/xtab file
  * debian/rules: configure: remove explicit options which are enabled by
    default
  * debian/rules: configure to install systemd unit files
  * nfs-common: Introduce /etc/nfs.conf handling
  * nfs-common: Move handling of /run/rpc_pipefs to /etc/nfs.conf
  * Remove use of systemd nfs-config.service service
  * nfs-common: Install rpc_pipefs.target and rpc-pipefs-generator
  * nfs-kernel-server: Install nfsdcld service
  * Drop "Let sysadmins enable/disable statd services"
  * nfs-common: Install systemd unit files from debian/tmp/
  * nfs-kernel-server: Install systemd unit files from debian/tmp/
  * nfs-kernel-server: Install nfs-server-generator into system-generators
  * Allow to install systemd unit generators in /lib/systemd
  * Refresh "systemd: Fix non-default statedir paths."
  * Move nfsdcld, nfsdclddb and nfsdclnts to nfs-kernel-server package
  * Set pluginpath for libnfsidmap to
    /usr/lib/$(DEB_HOST_MULTIARCH)/libnfsidmap
  * nfs-kernel-server: Add Recommends on python3-yaml for the nfsdclnts tool

 -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 14 Sep 2021 09:48:58 +0200

nfs-utils (1:2.5.4-1~exp4) experimental; urgency=medium

  * Fix upgrade failure
    Keep both rpc.mountd.8 and rpc.nfsd.8 in package nfs-kernel-server only
    Closes: #993956

 -- Anibal Monsalve Salazar <anibal@debian.org>  Thu, 09 Sep 2021 20:11:48 +1000

nfs-utils (1:2.5.4-1~exp3) experimental; urgency=medium

  * Fix upgrade failure
    Put idmapd.conf.5 in debian/libnfsidmap1.manpages
    Closes: #993885

 -- Anibal Monsalve Salazar <anibal@debian.org>  Wed, 08 Sep 2021 21:27:04 +1000

nfs-utils (1:2.5.4-1~exp2) experimental; urgency=medium

  * nfs-utils needs to take over libnfsidmap-regex
    Closes: #993804
  * nfs-common depends on libnfsidmap1 (= ${binary:Version})
    and libnfsidmap1 provides libnfsidmap2
    Closes: #993789
  * Fix FTBFS on most architectures
    Add multiarch-kerberos-paths.patch
    Closes: #993785
  * Add mount.nfs-Fix-the-sloppy-option-processing.patch
    Closes: #992833
  * Add nfsdcltrack-sqlite-Fix-printf-format.patch
  * Add nfsdcltrack-nfsdcltrack.c-Fix-printf-format.patch
  * Add systemd-Fix-non-default-statedir-paths.patch
  * Add nfsdcltrack-Use-uint64_t-instead-of-time_t.patch
  * Add nfs-utils-Fix-potential-memory-leaks-in-idmap.patch
  * Add nfs-utils-Fix-mem-leaks-in-gssd.patch
  * Add nfs-utils-Fix-mem-leaks-in-krb5_util.patch
  * Add nfs-utils-Fix-mem-leak-in-mountd.patch
  * Add nfs-utils-add-install-dep-for-installing-all-depende.patch

 -- Anibal Monsalve Salazar <anibal@debian.org>  Tue, 07 Sep 2021 21:22:46 +1000

nfs-utils (1:2.5.4-1~exp1) experimental; urgency=medium

  * New upstream release
    Closes: #917706, #933998, #952446, #991631
  * Standars-Version is 4.6.0
  * dh compatibility level is 13
  * Source now includes libnfsidmap
  * var/lib/nfs/xtab does not exist
  * sbin/osd_login does not exist
  * systemd/nfs-config.service does not exist
  * Drop 21-no-more-var-run.patch
  * Drop 03-handle-mtab-symlink.patch
  * Drop 17-multiarch-kerberos-paths.patch
  * Drop 19-iscsiadm-path.patch
  * Drop 24-systemd-pipefs_in_run.patch
  * can't find file to patch: systemd/nfs-config.service
    Drop 28-nfs-utils_env-location.patch
  * Drop 29-start-statd-fd-9.patch
  * Drop 0001-rpc.c-added-include-file-so-UINT16_MAX-is-defined.patch
  * Drop 30-remove-whitespace-service.patch
  * Drop fix-glibc2.28-ftbfs.patch
  * Drop 0010-gssd-replace-non-thread-safe-strtok-with-strsep.patch
  * Drop 0011-gssd-Duplicate-the-upcall-string-for-error-messages.patch
  * Drop nfsiostat-replace-list-reserved-word.patch
  * Drop statd-take-user-id-from-var-lib-nfs-sm.patch
  * Drop Allow-compilation-to-succeed-with-fno-common.patch
  * Drop mountstats-Remove-a-shebang.patch
  * Drop Convert-remaining-python-scripts-to-python3.patch
  * Drop Removed-a-resource-leak-from-mountd-fsloc.c.patch

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sun, 05 Sep 2021 23:50:09 +1000

nfs-utils (1:1.3.4-6) unstable; urgency=medium

  * mountstats:  Remove a shebang
  * Convert remaining python scripts to python3 (Closes: #883194)
  * debian/control: Switch Recommends from python to python3
  * Removed a resource leak from mountd/fsloc.c (Closes: #513284)

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 28 Jun 2021 09:15:06 +0200

nfs-utils (1:1.3.4-5) unstable; urgency=medium

  [ Felix Lechner ]
  * Propagate $RPCGSSDOPTS from /etc/default/nfs-common to the system
    service script for rpc-gssd. (Closes: #846950)

 -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 09 Mar 2021 17:17:42 +0100

nfs-utils (1:1.3.4-4) unstable; urgency=medium

  * Allow compilation to succeed with -fno-common (Closes: #957608)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 26 Jul 2020 14:02:00 +0200

nfs-utils (1:1.3.4-3) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * nfsiostat: replace 'list' reserved word.
    Thanks to Matthew Ruffell <matthew.ruffell@canonical.com>
    (Closes: #925943, LP: #1821261)
  * Remove Anibal Monsalve Salazar from Uploaders on request of MIA team.
    Thanks to Anibal Monsalve Salazar for all previous work done on nfs-utils.
    (Closes: #925089)
  * statd: take user-id from /var/lib/nfs/sm (CVE-2019-3689) (Closes: #940848)
  * Don't make /var/lib/nfs owned by statd.
    Only sm and sm.bak need to be accessible by statd or sm-notify after
    they drop privileges.
  * debian/control: Point Vcs URLs to kernel-team namespace repository
  * debian/control: Add myself to Uploaders

  [ Andreas Hasenack ]
  * debian/nfs-utils_env.sh: Fix mismatching [RPC]SVCGSSDOPTS defaults
    Export SVCGSSDARGS, which is the variable name expected by the
    rpc-svcgssd systemd service. The old variable is still being
    exported to prevent upgrades from breaking for those who may
    have overridden the systemd service to work around the bug.
    (Closes: #892654)

  [ Ben Hutchings ]
  * debian/control: Remove Daniel Pocock from Uploaders. (Closes: #953441)
  * debian/control: Delete wrong Homepage fields for binary packages
  * debian/control: Change Homepage to HTTP-S URL
  * debian/copyright: Update upstream source URL to match debian/watch

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 13 Mar 2020 05:16:46 +0100

nfs-utils (1:1.3.4-2.5) unstable; urgency=medium

  * Non-maintainer upload.

  [ Micha Lenk ]
  * [abaa2ab] handle_gssd_upcall: Fix failure to find uid in upcall string 'mech=krb5'
    by adding the suggested upstream commits as
    debian/patches/0010-gssd-replace-non-thread-safe-strtok-with-strsep.patch and
    debian/patches/0011-gssd-Duplicate-the-upcall-string-for-error-messages.patch.
    rpc.gssd: WARNING: handle_gssd_upcall: failed to find uid in upcall string 'mech=krb5'
    (Closes: #895381)

 -- Bernd Zeimetz <bzed@debian.org>  Sat, 06 Apr 2019 18:30:39 +0200

nfs-utils (1:1.3.4-2.4) unstable; urgency=medium

  [ Laurent Bigonville ]
  * debian/control: Downgrade the priority to optional to match the override
    file

  [ Hilko Bengen ]
  * Add missing include, fixing FTBFS with glibc 2.28 (Closes: #915995)

 -- Hilko Bengen <bengen@debian.org>  Sat, 09 Feb 2019 15:26:27 +0100

nfs-utils (1:1.3.4-2.3) unstable; urgency=medium

  * Non-maintainer upload.
  [ Steve Langasek ]
  * Fix flaky autopkgtest: a 'sync' after an update on the server does not
    guarantee that the change is visible on the client.  For that, we need
    to flush the inode/dentry cache instead.

  [ Laurent Bigonville ]
  * debian/control: Drop explicit dependency against libtirpc1 and bump
    libtirpc-dev build-dependency to >= 1.0.2
  * debian/watch: Update the URL and check the gpg signature (Closes: #895384)
  * debian/control: Update Vcs-* fields to point to salsa
  * debian/control: Bump Standards-Version to 4.2.1 (no further changes)
  * d/p/30-remove-whitespace-service.patch: Remove extra whitespaces to fix
    service-key-has-whitespace lintian error

 -- Laurent Bigonville <bigon@debian.org>  Sat, 20 Oct 2018 15:04:07 +0200

nfs-utils (1:1.3.4-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Add upstream fix for FTBFS with glibc 2.26,
    thanks to Juhani Numminen. (Closes: #887695)
  * Update the build dependency from the obsolete dh-systemd.
  * Stop using bzip2 for source compression,
    the default xz compresses better.

 -- Adrian Bunk <bunk@debian.org>  Tue, 06 Feb 2018 21:20:36 +0200

nfs-utils (1:1.3.4-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix patch to also change pidfile path in service file (Closes: #850464)

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 20 Mar 2017 16:07:55 +0100

nfs-utils (1:1.3.4-2) unstable; urgency=medium

  [ Daniel Pocock ]
  * Ignore failure to (re)start service during postinst. (Closes: #848115)
  * Correct location of nfs-utils_env.sh in service file. (Closes: #848145)
  * Use FD 9 in start-statd. (Closes: #848277)

  [ Helmut Grohne ]
  * Fix FTCBFS: Let dh_auto_configure provide cross flags (Closes: #836542)

 -- Daniel Pocock <daniel@pocock.pro>  Sat, 17 Dec 2016 11:49:21 +0100

nfs-utils (1:1.3.4-1) unstable; urgency=medium

  [ Daniel Pocock ]
  * New upstream release.

  [ Ben Hutchings ]
  * Update debian/watch

  [ Salvatore Bonaccorso ]
  * Fix typo in comment for installed idmapd.conf.
    Thanks to Ferenc Wágner (Closes: #841387)

 -- Daniel Pocock <daniel@pocock.pro>  Tue, 13 Dec 2016 19:37:42 +0100

nfs-utils (1:1.2.8-9.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Really add keyutils as a dependency of nfs-common. (Closes: #830777)
    - changelog entry included but actual change missed when partially
      merging the ubuntu delta in previous NMU.
  * Add debian/patches/unbreak-blkmapd-rpc_pipefs-run.patch (Closes: #828826)
    - patch from Christoph Hellwig to unbreak blkmapd after move of
      rpc_pipefs to /run.
  * Add debian/patches/unbreak-gssd-rpc_pipefs-run.patch (Closes: #632141)
    - similarly to blkmapd also unbreak gssd. Thanks to Christoph Hellwig
      for pointing this out.

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 11 Aug 2016 18:50:24 +0200

nfs-utils (1:1.2.8-9.1) unstable; urgency=medium

  Partial sync from ubuntu, included changes:

  [ Martin Pitt ]
  * Add 00git-start-statd-systemd.patch: Latest start-statd script from
    1.3.2 to start rpc-statd.service under systemd.
  * Add 23-systemd-pipefs_in_run.patch: systemd: Mount rpc_pipefs in /run instead of
    /var/lib/nfs/, like in the upstart units.
  * Add 24-systemd-daemon-paths.patch: Adjust program paths in systemd units.
  * debian/nfs-kernel-server.links: Add nfs-kernel-server.service alias
    symlink, to match SysV init script.
  * Add 25-systemd-server-before-client.patch: Order NFS server before client,
    to make mounting NFS shares from localhost work reliably.
  * Add debian/nfs-utils_env.sh: Translate our /etc/default files into runtime
    configuration for nfs-config.service.
  * debian/nfs-{common,kernel-server}.install: Install systemd units.
  * debian/rules: Enable/start systemd units. (LP: #1312976)

  * Add autopkgtest for installing server and client on localhost, setting up
    two exports, rebooting, and ensuring that the NFS mounts work.
  * Add 23-systemd-relax-dependencies.patch: Stop depending on basic.target in
    the daemons which still do; i. e. add DefaultDependencies=no. This makes
    it possible to run NFS during early boot, helps if you e. g. have /var
    on NFS, and avoids dependency cycles with rcS init.d scripts which depend
    on $remote_fs. (LP: #1428487)
  * Shift number prefixes of other systemd patches accordingly, and adjust
    them to the above patch.

  * 27-systemd-enable-with-systemctl-statd.patch: let the admin
    enable/disable statd via systemd tools. (LP: #1428486)
  * debian/rules: don't start statd by default (or it will trigger upstart
    and systemd statd unit startup).
  * debian/control, debian/*install: move nfs-utils.service to nfs-common
    package. (LP: #1436304)

  [ Steve Langasek ]
  * Add a dependency on keyutils to nfs-common, so that idmapping will work
    under systemd.  LP: #1449074.

  Followup changes to complement merge from ubuntu:

  [ Andreas Henriksson ]
  * Restore anything related to nfs-common.init and nfs-common.default
  * debian/nfs-common.links: Mask nfs-common init script with a symlink
    to /dev/null to avoid using it under systemd.
  * Explicitly set executable permissions on nfs-utils_env.sh helper
    instead of relying on debian/nfs-utils_env.sh having correct
    permissions in source directory.

  All of the above Closes: #796637

  Additional changes while at it:

  [ Andreas Henriksson ]
  * Make nfs-kernel-server depend on netbase since it needs /etc/services
    for nfs-server to start (which is required for successful pkg install).
    - Avoids "...unable to resolve ANYADDR:nfs to inet address: ..."

  [ Martin Pitt ]
  * Drop obsolete versioned initscripts dependency. (Closes: #804990)

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 28 Jun 2016 02:05:16 +0200

nfs-utils (1:1.2.8-9) unstable; urgency=medium

  * debian/patches/22-mountd-fix-segfault-in-add_name-with-newer-gcc-
    compi.patch: cherry-pick fix from upstream for a segfault in
    add_name with newer gcc compilers.  Closes: #757835, LP: #1355829.

 -- Steve Langasek <vorlon@debian.org>  Tue, 12 Aug 2014 17:12:38 -0700

nfs-utils (1:1.2.8-8) unstable; urgency=medium

  * Upload to unstable where this belongs.
  * libtirpc versioning against 0.2.4, not 0.2.4-2.
  * Drop versioned dependency on rpcbind; nothing in the rpcbind relationship
    requires this.

 -- Steve Langasek <vorlon@debian.org>  Mon, 11 Aug 2014 00:20:32 -0700

nfs-utils (1:1.2.8-7) experimental; urgency=medium

  * Get rid of libgssglue1.
    Don't pass "--with-gssglue" to ./configure.
    Build-depend on libtirpc-dev (>= 0.2.4-2~).
    Depend on libtirpc1 (>= 0.2.4-2~).
    Depend on rpcbind (>= 0.2.1-5~).
  * Remove debian/source/options.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sat, 02 Aug 2014 12:25:47 +0100

nfs-utils (1:1.2.8-6) unstable; urgency=medium

  * Fix the sec=krb5* handling in debian/nfs-common.init to properly match
    all cases.  Closes: #715478.
  * Move the rpc.svcgssd(8) symlink to nfs-common along with the rest of it,
    and add the Replaces: on old versions of nfs-kernel-server to support
    upgrades properly.  Closes: #731479.
  * Only start nfs-common in runlevel S; it doesn't need to be started
    more than once (and startpar won't actually run it more than once,
    anyway).  Closes: #510528.
  * Fix obsolete invocations of update-rc.d by switching nfs-common to use
    dh_installinit.  Closes: #736059.
  * Tweak nfs-common preinst to not remove nfs state files except on package
    removal (i.e., these should not be removed when the package is
    deconfigured temporarily).
  * debian/nfs-kernel-server.init: don't try to check for nfsv3 configuration
    in nfsd and pass --no-nfs-version 3 to mountd if absent; the check is
    buggy and impossible to make reliable, and there's no reason to single
    out NFSv3 here (and the original rationale for this behavior is lost).
    Closes LP: #897644, LP: #1284210.
  * Provide quoted entries by default in debian/nfs-kernel-server.default,
    consistent with other default files, so that users who edit the file to
    add multiple options don't accidentally cause shell syntax bugs.

 -- Steve Langasek <vorlon@debian.org>  Mon, 24 Feb 2014 18:11:17 +0000

nfs-utils (1:1.2.8-5) unstable; urgency=medium

  [ Ben Hutchings ]
  * Remove Luk Claes from uploaders (Closes: #723602)

  [ Steve Langasek ]
  * Migrate the rpc_pipefs mount out of /var/lib to /run, to better
    support /var on NFS.
  * Don't start the nfs-common init script from the nfs-kernel-server
    maintainer script, this is entirely redundant.
  * debian/patches/21-no-more-var-run.patch: PID files should be in
    /run, not /var/run.
    Closes LP: #1157171.

 -- Steve Langasek <vorlon@debian.org>  Mon, 13 Jan 2014 22:07:53 +0000

nfs-utils (1:1.2.8-4) unstable; urgency=low

  * The configure option name is --with-gssglue, not --with-libgssglue.
    Fix this, so that rpc.gssd really works.  Really closes: #707960.

 -- Steve Langasek <vorlon@debian.org>  Sat, 01 Jun 2013 10:29:32 -0700

nfs-utils (1:1.2.8-3) unstable; urgency=low

  * Add myself as comaintainer, per <518FCECE.7050106@debian.org>.
  * Build --with-libgssglue, which was the default prior to 1.2.8; this
    fixes a regression that makes rpc.gssd (and hence, all
    Kerberos-authenticated mounts) completely useless, because objects are
    being incorrectly passed between multiple gss implementations (by way of
    libtirpc).  Closes: #707960.

 -- Steve Langasek <vorlon@debian.org>  Fri, 31 May 2013 17:59:53 -0700

nfs-utils (1:1.2.8-2) unstable; urgency=medium

  * Fix reportbug scripts to use rpcinfo in /usr/sbin.
  * Add id_resolver.conf to fix nfsidmap invocation
    (Closes: #708156, #638157, #707960).
  * Remove autogenerated roff as nfsdcltrack.man is meant to be used
    as the actual source according to author (Closes: #707908).

 -- Luk Claes <luk@debian.org>  Mon, 13 May 2013 19:46:42 +0200

nfs-utils (1:1.2.8-1) unstable; urgency=low

  * New upstream version (Closes: #707258).
    - Only amend extra-options on a successful vers=4 mount
      (Closes: #690181).
    - Use default domain (Closes: #657188).
    - Fix is-subdirectory to understand '/' (Closes: #685306).
    - Drop 18-osd_login-sbindir: incorporated upstream.
    - Avoid DNS reverse lookups on server names (Closes: #707401).
    - auth_unix_ip should downcall on error (Closes: #682709).
    - Refresh 11-532048-reduce-verbosity.
  * Use rpcbind's rpcinfo everywhere (Closes: #707589).
  * Add nfsdcltrack to nfs-kernel-server.
  * Add libsqlite3-dev build dependency for nfsdcltrack.
  * Do not try to install dropped ChangeLog.
  * Adjust version of replaces due to manpage move.

 -- Luk Claes <luk@zomers.be>  Fri, 10 May 2013 14:27:47 +0200

nfs-utils (1:1.2.6-3) unstable; urgency=low

  * Iterate through exports.d to look for expors (Closes: #676604).

 -- Luk Claes <luk@zomers.be>  Tue, 10 Jul 2012 19:38:22 +0200

nfs-utils (1:1.2.6-2) unstable; urgency=low

  * Move open-iscsi and watchdog to Suggests.

 -- Luk Claes <luk@debian.org>  Sat, 26 May 2012 07:45:41 +0200

nfs-utils (1:1.2.6-1) unstable; urgency=low

  * New upstream version
    - Remove 18-dont-use-PAGE_SIZE.patch: merged upstream.
    - Update other patches.
    - Install osd_login (part of the autologin feature).
      - Add open-iscsi and watchdog to Recommends.
  * Check for blank exports file (Closes: #673798).
  * Add 18-osd_login-sbindir.patch to avoid FTBFS
  * Add 19-iscsiadm-path.patch so osd_login works

 -- Luk Claes <luk@debian.org>  Fri, 25 May 2012 20:41:58 +0200

nfs-utils (1:1.2.5-4) unstable; urgency=low

  * Add libmount-dev to Build-Depends and explicitly enable it.
  * Move rpc.svcgssd to nfs-common (Closes: #651558).
  * Also change owning group for /var/lib/nfs (Closes: #651634).

 -- Luk Claes <luk@debian.org>  Sun, 22 Jan 2012 15:46:25 +0100

nfs-utils (1:1.2.5-3) unstable; urgency=low

  [ Roger Leigh ]
  * /run transition: nfs-common migrates
    /lib/init/rw/sendsigs.omit.d/statd to /run/sendsigs.omit.d on upgrade,
    and uses /run/sendsigs.omit.d.  Depend on initscripts
    (>= 2.88dsf-13.3) to guarantee the existence of
    /run/sendsigs.omit.d (Closes: #633034).

  [ Luk Claes ]
  * Version libgssglue-dev build dependency (Closes: #651354).

  [ Luca Capello ]
  * debian/control:
    + add mount.nfs to the long Description: (Closes: #644358).

 -- Luk Claes <luk@debian.org>  Fri, 09 Dec 2011 11:55:31 +0100

nfs-utils (1:1.2.5-2) unstable; urgency=low

  * debian/patches/18-dont-use-PAGE_SIZE.patch

 -- Luk Claes <luk@debian.org>  Sun, 02 Oct 2011 22:21:10 +0200

nfs-utils (1:1.2.5-1) unstable; urgency=low

  * New upstream version
    - deleted: 13-preserve-explicit-port-2049.patch
    - deleted: 17-Fix-statd.8-manpage-syntax-visible.patch
    - deleted: 18-Fix-nfsiostat.8-manpage-syntax-missing-.I.patch
    - deleted: 19-exports.man-Fix-comment-syntax.patch
    - deleted: 20-nfs.man-Fix-fstab-example.patch
    - deleted: 22-start-statd-Use-bash.patch
    - deleted: 23-nfs.man-escape-nroff-for-proper-rendering.patch
      (Closes: #636278).
    - support less components in version number (Closes: #632457).
    - idmapd: correctly convert ocal encoded fields (Closes: #640105).
    - svcgssd: use correct defaults in call to gss_set_allowable_enctypes
      (Closes: #637660).
    - rpc.statd: Bind downcall socket to loopback address (Closes: #457095).
  * Add version to build-dep on libnfsidmap-dev (Closes: #639691).
  * debian/idmapd.conf: Comment Domain (Closes: #638607).
  * debian/patches/17-multiarch-kerberos-paths.patch (Closes: #642797).
  * Add build dependency on libdevmapper-dev for blkmapd.
  * Use dh_autoreconf to make sure original files are restored.
  * Install blkmapd and its manpage.

 -- Luk Claes <luk@debian.org>  Sun, 02 Oct 2011 18:29:53 +0200

nfs-utils (1:1.2.4-2) UNRELEASED; urgency=low

  [ Luk Claes ]
  * nfs-kernel-server-default: Add comment about how to disable NFSv4

  [ Ben Hutchings ]
  * nfs.man: escape ' nroff for proper rendering, thanks to Simon Paillard
    (Closes: #636278)

 -- Luk Claes <luk@debian.org>  Sat, 06 Aug 2011 07:38:48 +0200

nfs-utils (1:1.2.4-1) unstable; urgency=low

  * New upstream version
    - Fix host_reliable_addrinfo (Closes: #633155)
    - Allow multiple RPC listeners to share listener port number
    (Closes: #619877)
    - Add --enable-libmount-mount (Closes: #626478)
    - 12-svcgssd-document-n-option.patch applied upstream
    - Refresh 19-exports.man-Fix-comment-syntax.patch
    - 21-anticipate-RLIMIT_FSIZE.patch applied upstream
    - Add nfsidmap binary and manpage
    - Use autoreconf to avoid build failure

 -- Luk Claes <luk@debian.org>  Sat, 09 Jul 2011 16:28:32 +0200

nfs-utils (1:1.2.3-3) unstable; urgency=medium

  [ Luk Claes ]
  * Remove build dependency on librpcsecgss-dev as it's superseded by
    libtirpc-dev
  * Remove very old versioned dependencies on netbase and libblkid1
  * Exclude state files from dh_md5sum
  * Use rpcinfo instead of /dev/tcp redirection
  * Fix CVE-2011-1749: Anticipate RLIMIT_FSIZE (Closes: #629420)
  * start-statd: Use bash (Closes: #621027)
  * Add build-arch and build-indep makefile targets to debian/rules
  * Add override for setuid mount.nfs

  [ Ben Hutchings ]
  * statd.man, nfsiostat.man: Fix syntax errors, thanks to Simon Paillard
    (Closes: #624261)
  * exports.man: Fix syntax errors
  * nfs.man: Fix syntax errors and improve tabulation

 -- Luk Claes <luk@debian.org>  Sat, 18 Jun 2011 10:53:51 +0200

nfs-utils (1:1.2.3-2) unstable; urgency=low

  * Depend on rpcbind unconditionally, as libtirpc does not support the
    old portmapper protocol (Closes: #619877)

 -- Ben Hutchings <ben@decadent.org.uk>  Fri, 08 Apr 2011 13:40:02 +0100

nfs-utils (1:1.2.3-1) unstable; urgency=low

  * New upstream release
    - 7-remove-duplicate-exports-paragraphs : removed
    - 12-svcgssd-document-n-option: updated
    - 14-allow-address-without-name : removed
    - 15-mountd-fix-path-comparison-for-v4-crossmnt : removed
    - 16-mount.nfs.man-nfs.man-update-distinction-between-fstypes:
      part about nfs.man removed and
      renamed to 16-mount.nfs.man-update-distinction-between-fstypes
    - mountd: fix --manage-gids hang due to int/uint bug (0f05c8a)
      (Closes: #528939,585085)
    - mount.nfs: Don't do anything fancy if this is a remount (f11547f)
      (Closes: #612933)
    - mount: Mount should retry unreachable hosts (5a355f4)
      (Closes: #560388)
    - Try to use kernel function to determine supported Kerberos
      enctypes (258f10f) (Closes: #474037)
    - nfs-common: Add Recommends python for mountstats and nfsiostat
  * Make sure everything is shipped (inspired by #594933)
  * nfs-common.init: Enable idmapd by default (Closes: #610363)
  * Install bug scripts to ease debuging
  * Build depend on libtirpc-dev and enable IPv6 (Closes: #441361)

 -- Luk Claes <luk@debian.org>  Sun, 27 Mar 2011 18:54:45 +0200

nfs-utils (1:1.2.2-5) unstable; urgency=low

  [ Ben Hutchings ]
  * mount.nfs.man, nfs.man: Update distinction between fstypes
    (Closes: #575503)
  * nfs-kernel-server.init: Require any installed name server ($named) to
    start before nfs-kernel-server (Closes: #598493)

  [ Luk Claes ]
  * nfs-common.init, nfs-kernel-server.init: Add warning when portmap is
    not running (Closes: #612002,#561718,#562737)
  * nfs-common.init: Add --pidfile for statd (Closes: #521084)
  * nfs-common.init: Add statd to sendsigs.omit.d (Closes: #524610)
  * nfs-common.default, nfs-kernel-server.default: Remove spurious question
    mark in wiki url (Closes: #593511)

 -- Luk Claes <luk@debian.org>  Wed, 16 Mar 2011 23:10:15 +0100

nfs-utils (1:1.2.2-4) unstable; urgency=low

  * mountd: fix path comparison for v4 crossmnt (Closes: #578317)
  * nfs-common.init: Ignore empty and commented-out fstab lines, thanks
    to Cristian Ionescu-Idbohrn (Closes: #587329)

 -- Ben Hutchings <ben@decadent.org.uk>  Fri, 27 Aug 2010 00:11:44 +0100

nfs-utils (1:1.2.2-3) unstable; urgency=low

  * mount.nfs: Preserve explicit port=2049 option (Closes: #582003)
  * rpc.statd: Allow monitoring of addresses without names (Closes: #579397)
  * Add control fields pointing to the new git repository

 -- Ben Hutchings <ben@decadent.org.uk>  Sun, 08 Aug 2010 23:43:42 +0100

nfs-utils (1:1.2.2-2) unstable; urgency=low

  [ Vagrant Cascadian ]
  * Ensure files under /var/lib/nfs/ are owned by statd user.
    Closes: #574510

  [ Anibal Monsalve Salazar ]
  * Fix out-of-date-standards-version

 -- Anibal Monsalve Salazar <anibal@debian.org>  Tue, 13 Jul 2010 15:20:17 +1000

nfs-utils (1:1.2.2-1) unstable; urgency=low

  [ Anibal Monsalve Salazar ]
  * New upstream release
    Build depend on libcap-dev
    Set configure option --enable-nfsv41
  * X-ref nfsd({7,8})
    02-524255-manpages.patch by Cyril Brulebois
    Closes: 524255

  [ Ben Hutchings ]
  * Change maintainer to Debian kernel team; move Aníbal to uploaders and
    add myself to uploaders
  * Check for nfsd in /proc/filesystems rather than looking for signs of it in
    /proc/kallsyms (Closes: #563104, #572736)
  * Document the -n option to svcgssd, thanks to Alberto Gonzalez Iniesta
    (Closes: #451402, #550270)
  * Replace upstream reference in package descriptions with Homepage fields,
    and do not refer to the obsolete CVS repository
  * Update policy version to 3.8.4; no changes required
  * Override lintian error 'init.d-script-missing-dependency-on-remote_fs';
    the init script does work without /usr mounted

 -- Anibal Monsalve Salazar <anibal@debian.org>  Tue, 06 Apr 2010 16:11:22 +1000

nfs-utils (1:1.2.1-3) unstable; urgency=low

  * Change the reading of /proc/kallsyms
    Closes: 561674, 554508
  * nfs-kernel-server depends on nfs-common (= ${binary:Version})

 -- Anibal Monsalve Salazar <anibal@debian.org>  Thu, 14 Jan 2010 16:15:44 +1100

nfs-utils (1:1.2.1-2) unstable; urgency=low

  * Go back to read /proc/kallsyms
    Closes: 561674, 562581
  * Fix debhelper-but-no-misc-depends
  * Fix out-of-date-standards-version
  * Fix copyright-refers-to-symlink-license
  * Fix maintainer-script-without-set-e
  * DH compatibility level is 7
  * Fix dh-clean-k-is-deprecated

 -- Anibal Monsalve Salazar <anibal@debian.org>  Wed, 13 Jan 2010 10:39:08 +1100

nfs-utils (1:1.2.1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Disable tirpc (Closes: #562729, #562757, #562910)

 -- Alexander Wirt <formorer@debian.org>  Wed, 06 Jan 2010 20:26:54 +0100

nfs-utils (1:1.2.1-1) unstable; urgency=low

  * New upstream release
  * Update debian/watch
  * Debian source format is 3.0 (quilt)
    Don't build depend on quilt
  * Remove 10-493659-nfs.man.patch (merged)
  * Build depend on libtirpc-dev

 -- Anibal Monsalve Salazar <anibal@debian.org>  Fri, 18 Dec 2009 13:17:42 +1100

nfs-utils (1:1.2.0-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix test for NFS kernel server support in init script; closes: #550153

 -- Ben Hutchings <ben@decadent.org.uk>  Wed, 16 Dec 2009 22:14:01 +0000

nfs-utils (1:1.2.0-4) unstable; urgency=low

  * Removing myself from uploaders.

 -- Daniel Baumann <daniel@debian.org>  Wed, 02 Sep 2009 07:07:03 +0200

nfs-utils (1:1.2.0-3) unstable; urgency=low

  * Remove myself from Uploaders.
  * Remove --enable-secure-statd from configure line; it does no longer
    exist as a configure option.

 -- Steinar H. Gunderson <sesse@debian.org>  Sun, 09 Aug 2009 12:47:00 +0200

nfs-utils (1:1.2.0-2) unstable; urgency=low

  * Merge from Ubuntu
  * Rename 101-reduce-verbosity.diff to 11-532048-reduce-verbosity.patch
  * Fix syslog verbosity with expired kerberos creds; closes: #532048
    11-532048-reduce-verbosity.patch

 -- Anibal Monsalve Salazar <anibal@debian.org>  Tue, 09 Jun 2009 10:50:33 +1000

nfs-utils (1:1.2.0-1ubuntu1) karmic; urgency=low

  * Merge from Debian unstable, remaining changes:
    - 101-reduce-verbosity.diff:  Reduce verbosity
  * Dropped changes:
    - Adjust initscripts version dependency; the Debian package now depends
      on a newer version anyway

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 06 Jun 2009 01:19:54 +0000

nfs-utils (1:1.2.0-1) unstable; urgency=low

  * New upstream release
    - Update Sun Microsystems RPC licenses
  * Update debian/copyright

 -- Anibal Monsalve Salazar <anibal@debian.org>  Thu, 04 Jun 2009 20:01:43 +1000

nfs-utils (1:1.1.6-1) unstable; urgency=low

  * New upstream release. Patch status:
    * 01-sm-notify-in-sbin.patch: Refreshed.
    * 03-handle-mtab-symlink.patch: No change.
    * 07-remove-duplicate-exports-paragraphs.patch: No change.
    * 10-493659-nfs.man.patch: Refreshed.

 -- Steinar H. Gunderson <sesse@debian.org>  Mon, 20 Apr 2009 21:10:47 +0200

nfs-utils (1:1.1.5-2) unstable; urgency=low

  * Standards version is 3.8.1
  * Set -x in nfs-{common,server}.{pre,post}rm scripts
  * Add copyright notices

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sat, 04 Apr 2009 15:29:57 +1100

nfs-utils (1:1.1.5-1) experimental; urgency=low

  * New upstream release
  * Update debian/watch

 -- Anibal Monsalve Salazar <anibal@debian.org>  Fri, 06 Mar 2009 13:36:45 +1100

nfs-utils (1:1.1.4-1ubuntu1) jaunty; urgency=low

  * Merge from debian unstable, remaining changes:
    - Adjust initscripts version dependancy.
    - 101-reduce-verbosity.diff:  Reduce verbosity
  * Drop 100-gssd-use-kernel-supported-enctypes.diff on advice from
    upstream.  "This patch isn't needed.  There is still no code in the kernel to
    return the enctype information and, as it turns out, the way we're
    going to get this information from the kernel has changed.  (Which is
    why this has never gone upstream.)"

 -- Bryce Harrington <bryce@ubuntu.com>  Thu, 04 Dec 2008 14:37:39 -0800

nfs-utils (1:1.1.4-1) unstable; urgency=low

  * New upstream release. Patch status:
    * 01-sm-notify-in-sbin.patch: Refreshed.
    * 03-handle-mtab-symlink.patch: Refreshed.
    * 05-default-use-old-mount-interface.patch: Removed (see below).
    * 07-remove-duplicate-exports-paragraphs.patch: No change.
    * 09-492827-cache.c.patch: Integrated by upstream, removed.
    * 10-493659-nfs.man.patch: No change.
    * Do not sync() in sm-notify if there are no hosts to be notified.
      (Closes: #502122)
  * Removed 05-default-use-old-mount-interface.patch, ie. revert to the new
    text-based mount interface, as this package is not intended for lenny.
    Probably reopens several older bugs, but Closes: #480909, #492970.
  * Fix abuses of $? in nfs-kernel-server.init (they were already OK in
    nfs-common.init, for some reason). (Closes: #503643)
  * In /etc/default/nfs-kernel-server.default, add --manage-gids to the default
    set of mountd options. (Closes: #493059)

 -- Steinar H. Gunderson <sesse@debian.org>  Fri, 07 Nov 2008 14:01:19 +0100

nfs-utils (1:1.1.3-2) unstable; urgency=low

  * Add 09-492827-cache.c.patch to fix mac os x 10.5 client hangs when server
    started with --manage-gids; patch by Neil Brown; closes: #492827
  * Install sm-notify manpage; patch by J Bruce Fields <bfields@fieldses.org>;
    closes: #494154
  * Add 10-493659-nfs.man.patch to fix unicode characters in nfs(5) man page;
    patch by nbreen@ofb.net (Nicholas Breen); closes: #493659

 -- Anibal Monsalve Salazar <anibal@debian.org>  Tue, 26 Aug 2008 18:16:37 +1000

nfs-utils (1:1.1.3-1) unstable; urgency=low

  * New upstream release
  * The following patches were merged:
    02-fix-retry-option.patch
    04-eacces-is-a-permanent-error.patch

 -- Anibal Monsalve Salazar <anibal@debian.org>  Tue, 29 Jul 2008 18:08:42 +1000

nfs-utils (1:1.1.2-6lenny1) testing-proposed-updates; urgency=high

  * Fix CVE-2008-4552
    nfs-utils 1.1.2, and possibly other versions before 1.1.3, invokes the
    host_ctl function with the wrong order of arguments, which causes TCP
    Wrappers to ignore netgroups and allows remote attackers to bypass
    intended access restrictions.
    Closes: #502680

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sun, 19 Oct 2008 13:37:33 +1100

nfs-utils (1:1.1.2-6) unstable; urgency=high

  * Load nfsd.ko before starting idmapd, to hopefully fix NFSv4 export issues.
    (Closes: #490181)
  * Bump to Standards-Version 3.8.0.1.
    * Added README.source with basic information on use of quilt.
    * Added (adapted from the example in Policy) debian/rules code to
      parse DEB_BUILD_OPTIONS and support noopt and parallel= targets.
      (nostrip is already handled by debhelper.)
  * Remove DEB_HOST_ARCH setting from debian/rules, as it was not used
    anywhere.
  * Refresh 04-eacces-is-a-permanent-error.patch to get rid of the offset.

 -- Steinar H. Gunderson <sesse@debian.org>  Mon, 14 Jul 2008 11:20:59 +0200

nfs-utils (1:1.1.2-5) unstable; urgency=high

  * 05-default-use-old-mount-interface.patch: New patch, disables the
    text-mounting interface by default. It seems to be a bit shaky still,
    causes problems for several users (some of which are only fixable with a
    kernel update). It will be turned back on again after lenny's release, but
    for now we're reverting to the safe option.
    (Closes: #473171, #478824, #475274, #478831)
  * 06-dont-check-exec-bit.patch: New patch, removes check for executable bit
    on mount points. (Closes: #478499)
  * 07-remove-duplicate-exports-paragraphs.patch: New patch from Antonio
    Ospite, removes some duplicate paragraphs in the exports man page.
    (Closes: #488009)
  * Add "no_subtree_check" option to packaged /etc/exports. (Closes: #485658)

 -- Steinar H. Gunderson <sesse@debian.org>  Fri, 11 Jul 2008 18:45:45 +0200

nfs-utils (1:1.1.2-4ubuntu2) jaunty; urgency=low

  * Add patch to reduce verbosity (LP: #293705)

 -- Andrew Pollock <apollock@google.com>  Tue, 04 Nov 2008 09:38:48 -0800

nfs-utils (1:1.1.2-4ubuntu1) intrepid; urgency=low

  * Merge from debian unstable, remaining changes:
    - Update maintainer to Ubuntu
    - Adjust initscripts version dependancy.
    - 100-gssd-use-kernel-supported-enctypes.diff:
      Allow to use encryption types that the kernel supports, not just
      des-cbc-crc. This patch was dropped by mistake when merging. Start the
      numbering from 100 to more easily distinguish which patches are ours.

 -- Bryce Harrington <bryce@ubuntu.com>  Thu, 19 Jun 2008 20:05:51 -0700

nfs-utils (1:1.1.2-4) unstable; urgency=low

  * 04-eacces-is-a-permanent-error.patch: New patch mirroring upstream git;
    makes the text-based mounting interface (used with kernel >= 2.6.23)
    treat "access denied" as a permanent instead of a temporary error.
    (Closes: #476128)

 -- Steinar H. Gunderson <sesse@debian.org>  Wed, 07 May 2008 20:49:14 +0200

nfs-utils (1:1.1.2-3) unstable; urgency=low

  * 02-fix-retry-option.patch: New patch from upstream, fixes interpretation
    of the retry= option. (Closes: #476094)
  * 03-handle-mtab-symlink.patch: New patch from Joey Hess, makes mount.nfs
    handle symlinked /etc/mtab the way umount.nfs and util-linux handle it.
    (Closes: #476577)
  * Fix "pakage" typo in debian/copyright.

 -- Steinar H. Gunderson <sesse@debian.org>  Fri, 25 Apr 2008 18:26:12 +0200

nfs-utils (1:1.1.2-2ubuntu2.1) hardy-proposed; urgency=low

  * 101-mount-EACCES-is-forever.diff:
    Patch from upstream to recognize "permission denied" as a permanent
    error, instead of retrying the mount until the connection timeout is
    reached.  LP: #214041.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 07 May 2008 17:56:04 +0000

nfs-utils (1:1.1.2-2ubuntu2) hardy; urgency=low

  * 100-gssd-use-kernel-supported-enctypes.diff:
    Allow to use encryption types that the kernel supports, not just
    des-cbc-crc. This patch was dropped by mistake when merging. Start the
    numbering from 100 to more easily distinguish which patches are ours.

 -- Timo Aaltonen <tepsipakki@ubuntu.com>  Wed, 02 Apr 2008 23:10:01 +0300

nfs-utils (1:1.1.2-2ubuntu1) hardy; urgency=low

  * New upstream version (LP: #131789, #208021)
  * Merge from Debian unstable, remaining changes:
    - Change the Maintainer address.
    - Adjust initscripts version dependancy.

 -- Timo Aaltonen <tepsipakki@ubuntu.com>  Tue, 01 Apr 2008 18:02:05 +0300

nfs-utils (1:1.1.2-2) unstable; urgency=low

  * Remove ${misc:Depends} from binary variables -- it is not used, and not
    generated by anything, so all it does is generate warnings during build.
  * Remove 02-document-debian-init-scripts.patch; upstream has a patch
    replacing it.
  * Rename 03-sm-notify-in-sbin.patch to 01-sm-notify-in-sbin.patch.

 -- Steinar H. Gunderson <sesse@debian.org>  Sun, 30 Mar 2008 01:35:44 +0100

nfs-utils (1:1.1.2-1) unstable; urgency=low

  * New upstream release
  * Move homepage to control header
  * Standards-Versio bumped to 3.7.3
  * Added dwbian/watch
  * Binary pakckages depend on ${misc:Depends}
  * Build-depends on libldap2-dev
    - /usr/bin/ld couldn't find -lldap
  * The following patches were merged:
    - 05-ignore-quota-option.patch
    - 06-gssd-manpage-typo.patch
    - 07-amd64-logging-segfault.patch
    - 08-clarify-unexport.patch
    - 09-fix-nfsstat-option.patch
    - 10-no-flush-blkid-cache.patch
    - 11-honor-credential-cache-dir.patch
    - 12-fix-nfsmount-segfault.patch

 -- Anibal Monsalve Salazar <anibal@debian.org>  Wed, 26 Mar 2008 18:40:09 +1100

nfs-utils (1:1.1.1-14) unstable; urgency=low

  * Another init dependency patch from Petter Reinholdtsen, this time for
    nfs-common. (Closes: #468663)
    * Stop before portmap stops.
    * Start after local filesystems and network (normally $portmap should take
      care of this, but it might not be installed for some reason).
  * 10-no-flush-blkid-cache.patch: Rename from 10-no-flush-blkid-cache.diff,
    for consistency.
  * 11-honor-credential-cache-dir.patch: New patch from Vince Busam, honor -d
    flag to rpc.gssd instead of always using /tmp for the credentials cache.
    (Closes: #465796)
  * 12-fix-nfsmount-segfault.patch: New patch from Jindrich Makovicka, fix so
    the two tests for mount version are in sync, fixing a segfault in nfsmount.
    (Closes: #466019)
  * Remove outdated information about git snapshots from debian/copyright.
    (Closes: #468773)

 -- Steinar H. Gunderson <sesse@debian.org>  Mon, 03 Mar 2008 17:16:33 +0100

nfs-utils (1:1.1.1-13) unstable; urgency=low

  * Adjust nfs-kernel-server.init dependencies; patch from Petter
    Reinholdtsen. (Closes: #464048)
    * Depend on $remote_fs being started (and stop before it).
    * Stop before nfs-common is stopped.

 -- Steinar H. Gunderson <sesse@debian.org>  Mon, 04 Feb 2008 22:58:30 +0100

nfs-utils (1:1.1.1-12) unstable; urgency=medium

  * Comment in dh_strip again, which probably was commented out during a
    debugging session at some point.
  * Don't exclude mount.nfs from dh_fixperms; make it suid root manually after
    dh_fixperms instead. Makes it world and group readable as it should be.
    (Closes: #458239)

 -- Steinar H. Gunderson <sesse@debian.org>  Sat, 29 Dec 2007 23:25:36 +0100

nfs-utils (1:1.1.1-11) unstable; urgency=low

  * 10-no-flush-blkid-cache.diff: New patch from Theodore Ts'o, removes
    unneccessary flushing of the blkid cache, leading to lots of spurious
    DM_* ioctls. (Closes: #431940)
  * Sorted the list of patches in debian/patches/, and refreshed all patches
    to fix hunk offsets.

 -- Steinar H. Gunderson <sesse@debian.org>  Tue, 18 Dec 2007 00:06:10 +0100

nfs-utils (1:1.1.1-10) unstable; urgency=low

  * 09-fix-nfsstat-option.patch: New patch, fixes so nfsstat help and man
    pages say --mounts instead of the wrong --mounted. (Closes: #451965)

 -- Steinar H. Gunderson <sesse@debian.org>  Sat, 24 Nov 2007 18:16:51 +0100

nfs-utils (1:1.1.1-9) unstable; urgency=high

  * Re-add modprobing of the "nfs" module (leaving the sunrpc module, so as
    not to break what the previous change fixed), as mount is not capable of
    auto-loading it on demand. (Closes: #451782)

 -- Steinar H. Gunderson <sesse@debian.org>  Sun, 18 Nov 2007 19:14:48 +0100

nfs-utils (1:1.1.1-8) unstable; urgency=low

  * When starting idmapd or gssd, load the sunrpc module instead of the
    nfs/nfs4 modules; if the machine is server-only, it might not have
    nfs/nfs4 (which are client-side modules) available.
    (Closes: #449137)
  * Revert NEED_MOUNTD patch; mountd is always needed, also for NFSv4.

 -- Steinar H. Gunderson <sesse@debian.org>  Sun, 04 Nov 2007 13:05:57 +0000

nfs-utils (1:1.1.1-7) unstable; urgency=low

  * More init script breakage: Fix default value of NEED_STATD.
    (Closes: #448688)

 -- Steinar H. Gunderson <sesse@debian.org>  Wed, 31 Oct 2007 09:15:53 +0100

nfs-utils (1:1.1.1-6) unstable; urgency=low

  * Fix typo in init script. (Closes: #448538, #448607, #448564)
  * In the init script, save the value of $? into a variable instead of using
    $? over and over again, as it will get clobbered after the first command
    using it.

 -- Steinar H. Gunderson <sesse@debian.org>  Tue, 30 Oct 2007 17:18:12 +0100

nfs-utils (1:1.1.1-4) unstable; urgency=low

  * Remove broken hack introduced in 1.1.1-3.
  * Fix init script to work if the package has been removed but not purged;
    patch adapted from Morita Sho. (Closes: #448251)
  * Patch init script to allow not running rpc.statd or rpc.mountd (via
    settings in /etc/default/), since they are not needed for an NFSv4-only
    setup; patch adapted from David Härdeman. (Closes: #448234)
  * Clarify language in the exportfs man page; patch adapted from
    David Liontooth. (Closes: #443591)

 -- Steinar H. Gunderson <sesse@debian.org>  Mon, 29 Oct 2007 18:33:15 +0100

nfs-utils (1:1.1.1-3) unstable; urgency=low

  * Fixed "FTBFS: error: called object 'major' is not a function" by
    defining the missing called objects only on arm. Closes: #447578.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Mon, 22 Oct 2007 19:16:49 +1000

nfs-utils (1:1.1.1-2) unstable; urgency=low

  * 07-amd64-logging-segfault.patch: New patch from Steve Langasek, fixes
    segfault in logging code on amd64. (Closes: #447407, #447451)

 -- Steinar H. Gunderson <sesse@debian.org>  Sun, 21 Oct 2007 12:52:01 +0200

nfs-utils (1:1.1.1-1) unstable; urgency=low

  * New upstream release.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Fri, 19 Oct 2007 17:36:22 +1000

nfs-utils (1:1.1.1~git-20070929-1) unstable; urgency=low

  * New git snapshot.
    * Update debian/copyright with new version information.
    * 07-daemonize-instead-of-fork.patch: Now in upstream, removed.
    * 08-libgssglue-changes.patch: Now in upstream, removed.
    * 09-define-major-minor.patch: Now in upstream, removed.

 -- Steinar H. Gunderson <sesse@debian.org>  Sat, 29 Sep 2007 15:03:21 +0200

nfs-utils (1:1.1.1~git-20070709-5) unstable; urgency=low

  * Fix totally broken export-detecting regex in the init script; patch by
    Quentin Godfroy. (Closes: #444155)

 -- Steinar H. Gunderson <sesse@debian.org>  Wed, 26 Sep 2007 17:50:40 +0200

nfs-utils (1:1.1.1~git-20070709-4) unstable; urgency=low

  * Replaced libgssapi-dev as build-dependency by libgssglue-dev.
    - Added 08-libgssglue-changes.patch.
  * Defined major and minor macros. Closes: #442122.
    - Added 09-define-major-minor.patch.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Tue, 11 Sep 2007 20:12:50 +1000

nfs-utils (1:1.1.1~git-20070709-3) unstable; urgency=low

  * If there is no override present when running the post-removal script, do
    not return exit status code 2. Closes: #436411.
  * Fixed the following lintian message:
    - W: nfs-utils source: debian-rules-ignores-make-clean-error line 23

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sat, 11 Aug 2007 20:17:26 +1000

nfs-utils (1:1.1.1~git-20070709-2) unstable; urgency=low

  * 07-daemonize-instead-of-fork.patch: New patch from upstream, uses
    daemon() instead of fork() and exit() for background mounts. Should
    properly detach from the terminal and thus keep the kernel from SIGHUPing
    mount during boot. (Closes: #144185, #156664)

 -- Steinar H. Gunderson <sesse@debian.org>  Sat, 11 Aug 2007 09:27:53 +0200

nfs-utils (1:1.1.1~git-20070706-2) unstable; urgency=low

  * If there is no override present when running the post-removal script, do
    not return exit status code 2. Closes: #436411.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Tue, 07 Aug 2007 17:34:47 +1000

nfs-utils (1:1.1.1~git-20070709-1) unstable; urgency=low

  * New upstream release.
    * Update debian/copyright with the new date.
    * No longer tries to build with -mno-fp-regs on Alpha, which should fix
      FTBFS on that platform. (Closes: #436491)

 -- Steinar H. Gunderson <sesse@debian.org>  Thu, 09 Aug 2007 17:30:29 +0200

nfs-utils (1:1.1.1~git-20070706-1) unstable; urgency=low

  * New upstream release.
    * Fixes the "bg" mount option. (Closes: #301955)
    * Update debian/copyright to tell that we're on git snapshots again.
    * Remove 01-fix-hostent-memory-leak.diff and 04-umount-exit-status.patch,
      as they are included in upstream now.

 -- Steinar H. Gunderson <sesse@debian.org>  Mon, 06 Aug 2007 20:01:49 +0200

nfs-utils (1:1.1.0-14) unstable; urgency=low

  * Install mount.nfs setuid directly instead of doing dpkg-statoverride in
    the postinst. Clear the dpkg-statoverride status in the postinst script
    on upgrades from earlier versions for cleanness. (Closes: #435258)

 -- Steinar H. Gunderson <sesse@debian.org>  Sun, 05 Aug 2007 20:06:53 +0200

nfs-utils (1:1.1.0-13) unstable; urgency=low

  * 06-gssd-manpage-typo.patch: New patch from A Costa, fixes a typo in the
    gssd man page. (Closes: #434665)
  * Sort debian/patches/series, so the patches are applied in the expected
    order. This also fixes a hunk offset when applying the patches.

 -- Steinar H. Gunderson <sesse@debian.org>  Wed, 25 Jul 2007 20:53:05 +0200

nfs-utils (1:1.1.0-12) unstable; urgency=low

  * Yet another round of fixing the boot issues, mostly in nfs-common.init:
    * Be a bit smarter about setting AUTO_NEED_IDMAPD; check not only that
      /etc/exports exists, but also that it contains things that look like
      uncommented exports.
    * Don't exit 0 immediately if statd, idmapd (if enabled) or gssd (if
      enabled) can't be found, as we might need statd to get /usr up even if we
      can't get to idmapd and gssd. (The AUTO_NEED_IDMAPD fix above should fix
      the default situation, but it's good to take a bit of extra care.)
      Instead, start statd regardless, and just skip idmapd and gssd starting
      (set NEED_{IDMAPD,GSSD}=no) if it can't be found.
    * Let nfs-common depend on initscripts (>= 2.86.ds1-38.1) to make sure we
      have a version with the proper mountnfs logic.

 -- Steinar H. Gunderson <sesse@debian.org>  Wed, 25 Jul 2007 01:27:48 +0200

nfs-utils (1:1.1.0-11) unstable; urgency=low

  * Include the nfs man page, which was also forgotten. The new nfs man page
    fixes a few documentation bugs over the old one from util-linux:
    * TCP is now the default if supported. (Closes: #414160)
    * The default NFS version is now 3. (Closes: #289436)
  * Add a replaces on pre-2.13 mount, since nfs(5) used to be there.
  * 05-ignore-quota-option.patch: Properly ignore quota options in fstab.
    (Closes: #329417)

 -- Steinar H. Gunderson <sesse@debian.org>  Wed, 18 Jul 2007 19:04:44 +0200

nfs-utils (1:1.1.0-10) unstable; urgency=high

  * Start nfs-common in the /etc/rcS start-up sequence, making sure statd is
    run before mountnfs runs, and finally obsoleting the hacks in mountnfs to
    start nfs-common directly in some cases. S44 is used, which is right
    between portmap (S43) and mountnfs (S45). As per discussion with Petter
    Reinholdtsen on IRC. (Closes: #432511, #432750, #433119, #433133)
    * Change the update-rc.d line in nfs-common.postinst to include the S
      runlevel.
    * Change the version check for the "update-rc.d -f nfs-common remove" line
      to this version (1:1.1.0-10), so all older installations are properly
      updated.
  * In the LSB header for nfs-common.init, add $portmap to Required-Start.
    Also add the S run level to Default-Start, to match the above change.
  * Include {mount,umount}.nfs man pages in the nfs-common package -- thanks
    to Neil Brown for spotting this.

 -- Steinar H. Gunderson <sesse@debian.org>  Mon, 16 Jul 2007 18:04:52 +0200

nfs-utils (1:1.1.0-9) unstable; urgency=low

  * 04-umount-exit-status.patch: New patch, fixes the exit status from umount
    so it's no longer inverted. (Closes: #432996)

 -- Steinar H. Gunderson <sesse@debian.org>  Sat, 14 Jul 2007 11:15:24 +0200

nfs-utils (1:1.1.0-8) unstable; urgency=low

  * Move nfs-common from 21 to 20 in the startup sequence, to make sure it's
    started before nfs-kernel-server (since it's nfs-common that loads the
    right kernel modules). Leave the shutdown sequence alone; no changes
    should be needed to it. Also update the LSB dependency information to make
    nfs-kernel-server depend on nfs-common. (Closes: #432818)

 -- Steinar H. Gunderson <sesse@debian.org>  Thu, 12 Jul 2007 13:43:49 +0200

nfs-utils (1:1.1.0-7) unstable; urgency=low

  * Add postinst fragment to make /sbin/mount setuid root, which should fix
    problems with non-root mounting. (Closes: #432581)

 -- Steinar H. Gunderson <sesse@debian.org>  Thu, 12 Jul 2007 01:40:18 +0200

nfs-utils (1:1.1.0-6) unstable; urgency=low

  * Enable {mount,umount}.{nfs,nfs4}, in line with util-linux 2.13 no longer
    supporting NFS mounts.

 -- Steinar H. Gunderson <sesse@debian.org>  Mon, 09 Jul 2007 12:54:09 +0200

nfs-utils (1:1.1.0-5) unstable; urgency=low

  * Install the sm-notify binary, as rpc.statd seems to want to run it at
    boot.
  * 03-sm-notify-in-sbin.patch: New patch, tell rpc.statd that we put
    sm-notify in /sbin instead of /usr/sbin.

 -- Steinar H. Gunderson <sesse@debian.org>  Sun, 08 Jul 2007 21:15:59 +0200

nfs-utils (1:1.1.0-4) unstable; urgency=low

  * Change the obsolete /proc/nfs/nfsd path in the init script so it matches
    the current path; patch by Bart Cortooms.

 -- Steinar H. Gunderson <sesse@debian.org>  Fri, 08 Jun 2007 12:18:07 +0200

nfs-utils (1:1.1.0-3) unstable; urgency=low

  * Fixed "nfs-common - fails to install without /etc/fstab".
    Closes: #426508.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Tue, 29 May 2007 20:38:36 +1000

nfs-utils (1:1.1.0-2) unstable; urgency=low

  * Make sure rpcsec_gss_krb5 is loaded if needed in nfs-kernel-server. It
    used not to be when NEED_SVCGSSD=true and NEED_GSSD=false. Per bug report
    from Ubuntu. (LP: #104923)

 -- Steinar H. Gunderson <sesse@debian.org>  Fri, 11 May 2007 16:51:31 +0200

nfs-utils (1:1.1.0-1) unstable; urgency=low

  * 01-fix-hostent-memory-leak.diff: New patch, fixes a memory leak related to
    DNS lookups; thanks to Rik Theys for detailed bug report and scrutiny.
    (Closes: #423108)

 -- Steinar H. Gunderson <sesse@debian.org>  Fri, 11 May 2007 12:13:25 +0200

nfs-utils (1:1.1.0-0) unstable; urgency=low

  * New upstream release.
  * debian/control: added libkeyutils-dev as build-dependency.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Fri, 11 May 2007 17:14:11 +1000

nfs-utils (1:1.1.0~rc2-1) unstable; urgency=low

  * New upstream release.
    * Make build-dependency on libgssapi-dev versioned, since nfs-utils now
      requires at least 0.11.

 -- Steinar H. Gunderson <sesse@debian.org>  Thu, 26 Apr 2007 23:24:19 +0200

nfs-utils (1:1.1.0~rc1-1) unstable; urgency=low

  * New upstream release.
    * Remove 03-fix-mountd-memory-leak.patch, which is now included in
      upstream.
    * rpc.lockd is gone, remove all references to it from debian/:
      * Remove rpc.lockd from nfs-common.install.
      * Remove NEED_LOCKD variable in nfs-common.default.
      * Remove lockd handling from nfs-common.init.
      * Remove lockd(8) manpage from nfs-common.manpages.
      * Remove manpage link from nfs-common.links.

 -- Steinar H. Gunderson <sesse@debian.org>  Thu, 12 Apr 2007 16:11:07 +0200

nfs-utils (1:1.0.12-4) unstable; urgency=high

  * Bump the versioned dependency on libblkid1 to require at least version
    1.39+1.40-WIP-2006.11.14+dfsg-2, which ensures that we get a version
    that doesn't make mountd leak memory on every mount.
    (Closes: #413429)

 -- Steinar H. Gunderson <sesse@debian.org>  Wed,  7 Mar 2007 11:46:25 +0100

nfs-utils (1:1.0.12-3) unstable; urgency=low

  * 03-fix-mountd-memory-leak.patch: New patch which fixes a tiny memory leak
    in mountd. There are huge memory leaks left, but they are in libblkid (see
    #413661) so there's nothing we can do about them at this point.

 -- Steinar H. Gunderson <sesse@debian.org>  Tue,  6 Mar 2007 16:10:43 +0100

nfs-utils (1:1.0.12-2) unstable; urgency=medium

  * Drop 11-root-on-krb5-mounts.patch, as it causes problems with backward
    compatibility. (Closes: #407264, but also probably reopens it at the same
    time...).
  * Add an explicit versioned dependency on libblkid1, since the version in
    sarge lacks the blkid_probe_all_new symbol and the shlibs does not add
    the versioned dependency by itself. (Closes: #413057)

 -- Steinar H. Gunderson <sesse@debian.org>  Fri,  2 Mar 2007 19:54:06 +0100

nfs-utils (1:1.0.12-1) unstable; urgency=high

  * New upstream release.
    * Fixes mysterious mountd failure. (Closes: #412818)

 -- Steinar H. Gunderson <sesse@debian.org>  Wed, 28 Feb 2007 23:57:40 +0100

nfs-utils (1:1.0.11-2) unstable; urgency=low

  * Fix the copyright file to indicate that this is no git snapshot.

 -- Steinar H. Gunderson <sesse@debian.org>  Tue, 27 Feb 2007 11:44:44 +0100

nfs-utils (1:1.0.11-1) unstable; urgency=low

  * New upstream release; minimal changes from the last git snapshot.
  * Update the long and short description for nfs-kernel-server to be a little
    more descriptive.
  * Add rpcbind as an alternative to portmap.

 -- Steinar H. Gunderson <sesse@debian.org>  Sun, 25 Feb 2007 16:36:50 +0100

nfs-utils (1:1.0.11~git-20070212-1) experimental; urgency=low

  * New upstream snapshot.
    * Update debian/copyright with the new version number and date.
    * Add an extra backslash to debian/copyright.
    * Add libblkid-dev as a build-dependency, as it's not required by
      idmapd.
  * Update patches for new upstream release:
    * 01-bzero.patch: Now in upstream, removed.
    * 02-document-debian-init-scripts.patch: Hunk offset, refreshed.
    * 05-refuse-non-ident-maptypes.patch: Now in upstream, removed.
    * 07-exports-default-options.patch: Now in upstream, removed.
    * 08-dont-build-getkversion.patch: Obsoleted by upstream (getkversion
      has been removed entirely), removed.
    * 09-manpage-paths-fixup.patch: Obsoleted by upstream (paths no longer
      used in the man pages), removed.
    * 10-ccachedir-off-by-one.patch: Now in upstream, removed.
    * 11-root-on-krb5-mounts.patch: Hunk offset, refreshed.
  * Drop our custom clean hack in debian/rules, as distclean should now
    remove generated files properly.

 -- Steinar H. Gunderson <sesse@debian.org>  Mon, 12 Feb 2007 21:19:54 +0100

nfs-utils (1:1.0.11~git-20060117-2) experimental; urgency=low

  * Give --with-tcp-wrappers to configure; for some reason it is no longer the
    default. (Closes: #408365)

 -- Steinar H. Gunderson <sesse@debian.org>  Thu, 25 Jan 2007 11:38:01 +0100

nfs-utils (1:1.0.11~git-20060117-1) experimental; urgency=low

  * New upstream snapshot; only minor changes.
    * Update debian/copyright with the new version number and date.
    * Fix a typo in debian/copyright; we need () around the autogen.sh line.
    * Remove an extraneous slash that git thinks shouldn't be there.
  * Update patches for new upstream release:
    * 05-refuse-non-ident-maptypes.patch: Hunk offset and fuzz, refreshed.
    * 08-dont-build-getkversion.patch: Hunk offset, refreshed.
  * debian/patches/11-root-on-krb5-mounts.patch: New patch (imported and
    refreshed), from Antti Tapaninen (via Timo Aaltonen); changes root to map
    to root/host@REALM instead of nfs/host@REALM on krb5-enabled mounts. Fixes
    issues where root would get mapped to nobody. (Closes: #407264)

 -- Steinar H. Gunderson <sesse@debian.org>  Wed, 17 Jan 2007 15:10:42 +0100

nfs-utils (1:1.0.11~git-20060105-2) experimental; urgency=low

  * 08-dont-build-getkversion.patch: We missed tools/Makefile.in on last
    refresh, so it ended up in the .diff.gz. Fix.

 -- Steinar H. Gunderson <sesse@debian.org>  Fri,  5 Jan 2007 13:38:07 +0100

nfs-utils (1:1.0.11~git-20060105-1) experimental; urgency=low

  * New upstream release.
    * Removes nhfsstone. (Closes: #398058)
    * Document the procedure used for taking the git snapshot in
      debian/copyright.
  * Update patches for new upstream release:
    * 03-minor-manpage-fixes.patch: Now in upstream, removed.
    * 04-document-sensitive-uids.patch: Now in upstream, removed.
    * 05-refuse-non-ident-maptypes.patch: Hunk offset, refreshed.
    * 06-fix-no-tcp-short-option.patch: Now in upstream, removed.
    * 08-dont-build-getkversion.patch: Replace all hunks related to
      autogenerated files, rerun autogen.sh after applying the other two, and
      refresh the patch.
    * 10-ccachedir-off-by-one.patch: Hunk offset, refreshed.

 -- Steinar H. Gunderson <sesse@debian.org>  Fri,  5 Jan 2007 00:36:57 +0100

nfs-utils (1:1.0.10-6~quilt.7) experimental; urgency=low

  * 10-ccachedir-off-by-one.patch: Fixes an off-by-one in the parsing of the
    -d option to rpc.gssd; patch from Liam Bedford, extracted from the Ubuntu
    BTS.

 -- Steinar H. Gunderson <sesse@debian.org>  Thu,  4 Jan 2007 20:40:49 +0100

nfs-utils (1:1.0.10-6~quilt.6) experimental; urgency=low

  * Make build depend on "patch build-stamp", not "build-stamp patch", which
    would build without _any_ patches -- ouch.

 -- Steinar H. Gunderson <sesse@debian.org>  Thu,  4 Jan 2007 15:56:42 +0100

nfs-utils (1:1.0.10-6~quilt.5) experimental; urgency=low

  * Make quilt build-dependency versioned to (>= 0.40), as per lintian
    recommendation.
  * Change a hyphen (-) to a minus (\-) in 07-exports-default-options.patch.

 -- Steinar H. Gunderson <sesse@debian.org>  Thu,  4 Jan 2007 15:04:05 +0100

nfs-utils (1:1.0.10-6~quilt.4) experimental; urgency=low

  * 09-manpage-paths-fixup.patch: Fix up the paths to rpc.lockd and showmount
    in the man pages; replaces the Perl one-liner we used to have in
    debian/rules.
    * Remove build-dependency on perl.
  * Use $(CURDIR) instead of $(shell pwd) in debian/rules.
  * Let build instead of build-stamp depend on patch; this makes sure we won't
    be running configure and make every single time (since make sees that
    "patch" does not exist, and thus thinks it needs to remake build-stamp).

 -- Steinar H. Gunderson <sesse@debian.org>  Thu,  4 Jan 2007 14:16:47 +0100

nfs-utils (1:1.0.10-6~quilt.3) experimental; urgency=low

  * Remove obsolete DEB_* variables from debian/rules.
  * Refresh 08-dont-build-getkversion.patch for consistency.

 -- Steinar H. Gunderson <sesse@debian.org>  Thu,  4 Jan 2007 03:23:45 +0100

nfs-utils (1:1.0.10-6~quilt.2) experimental; urgency=low

  * 08-dont-build-getkversion.patch: Don't build getkversion, since it fails
    when trying to build against newer kernel headers; it's not really used in
    the package anyhow. Adapted from an Ubuntu patch by Tollef Fog Heen.

 -- Steinar H. Gunderson <sesse@debian.org>  Tue,  2 Jan 2007 14:47:36 +0100

nfs-utils (1:1.0.10-6~quilt.1) experimental; urgency=low

  * 07-exports-default-options.patch: Support default options in exports(5),
    like "/srv/www -rw,sync host1 host2 host3(ro)" (syntax borrowed from
    OpenBSD). Also updates the exports(5) man page to explain the new syntax.
    (Closes: #273188)

 -- Steinar H. Gunderson <sesse@debian.org>  Tue, 26 Dec 2006 23:43:51 +0100

nfs-utils (1:1.0.10-6~quilt.0) experimental; urgency=low

  * Switch to quilt for patch management.
    * Build-depend on quilt.
    * Include /usr/share/quilt/quilt.make in debian/rules.
    * Make the build target depend on "patch", and the clean target depend on
      "unpatch".
    * Replace debian/bzero.patch with debian/patches/01-bzero.patch (which
      fixes the same issue but matches what we sent upstream), included
      unconditionally. Also remove the debian/rules snippet to patch it.
    * Split monolithic .diff.gz into diffs in debian/patches:
      * 02-document-debian-init-scripts.patch: Make exports(5) man page
        document that "/etc/init.d/nfs-kernel-server reload" works on Debian
        and derivative distributions.
      * 03-minor-manpage-fixes.patch: Misc. manpage fixes already sent
        upstream, mostly with regard to - vs. \-. Will be included in 1.0.11.
      * 04-document-sensitive-uids.patch: Document sensitive non-root uids and
        gids. Will be included in 1.0.11.
      * 05-refuse-non-ident-maptypes.patch: Give an error on non-ident map
        types such as map_daemon. Pending inclusion upstream.
      * 06-fix-no-tcp-short-option.patch: Fix the short option (-n) for
        --no-tcp. Will be included in 1.0.11.
  * Remove utils/rquotad/rquota.h and utils/rquotad/rquota_xdr.c on
    debian/rules clean, to make sure they don't appear in the diff.
  * Remove the nhfsstone package, as it is not fit for main; once upstream
    removes it too (will happen in 1.0.11), this will fix #398058.
    * Remove debian/nhfsstone.*.
    * Remove nhfsstone section from debian/control.
  * Remove the debhelper template copyright, as newer dh_make gives a
    copyright exception.
  * Change "#!/usr/bin/make -f" in debian/rules to "#! /usr/bin/make -f", for
    good measure.
  * Make indentation in debian/rules consistent.

 -- Steinar H. Gunderson <sesse@debian.org>  Tue, 26 Dec 2006 21:03:50 +0100

nfs-utils (1:1.0.10-5) unstable; urgency=medium

  * The NFS kernel server does not support uid mappings, activated with flags
    such as "map_daemon" in exports. There is already code that parses these
    flags, and gives an error at mount time if an unsupported flag (ie. any
    but the default) is given. However, at some point the kernel changed the
    export interface, and the new code forgot to include the relevant check.
    Thus, simply copy the check from the old to the new code, which makes
    sure mountd behaves the same in this aspect regardless of kernel version,
    and makes sure the admin does not inadvertedly use map_daemon and expect
    it to work. (Closes: #403232)

 -- Steinar H. Gunderson <sesse@debian.org>  Thu, 21 Dec 2006 12:13:10 +0100

nfs-utils (1:1.0.10-4) unstable; urgency=low

  * README.Debian.nfsv4 updates.
    * Document how to mount using GSS; previously, we only documented server
      setup.
    * Change the section about setclientid in the light of the new util-linux
      version.
  * Fix a grammatical error in the exports(5) man page; patch from Joey
    Schultze. (Closes: #396344)

 -- Steinar H. Gunderson <sesse@debian.org>  Tue,  7 Nov 2006 02:57:21 +0100

nfs-utils (1:1.0.10-3) unstable; urgency=low

  * Copy the do_modprobe() definition from nfs-kernel-server.init to
    nfs-common.init, fixing spurious warnings when running a non-modular
    kernel. (Closes: #394810)
  * Wrap README.Debian.nfsv4 at 80 columns. (Closes: #394916)
  * In README.Debian.nfsv4, added a note about /etc/hosts entries containing
    non-global IP addresses.

 -- Steinar H. Gunderson <sesse@debian.org>  Wed, 25 Oct 2006 11:50:52 +0200

nfs-utils (1:1.0.10-2) unstable; urgency=low

  * Remove leftover log file from the .diff.gz.
  * Build package with -O2; it got lost somewhere along the way.
  * Replace - by \- in man pages (exports, nfsstat, showmount) where
    appropriate.
  * Add Required-Stop to the nfs-common and nfs-kernel-server init script
    blocks to match the Required-Start directives.
  * Finally remove DH_VERBOSE=1 from debian/rules.
  * Add a reference to Trond Myklebust's client patch sets in
    README.Debian.nfsv4.
  * Handle issues with the nfs entries missing in /etc/services. (Closes:
    #392276).
    * Depend on netbase (>= 4.24), to make sure we have a version that has the
      entries in the first place.
    * Document that the entries might be missing still in README.Debian.nfsv4
      (in case the user refused to replace a modified version of
      /etc/services), and that they might need re-adding.
    * Make the init script check that the lines are there before starting
      rpc.gssd, and refer to the README otherwise.

 -- Steinar H. Gunderson <sesse@debian.org>  Wed, 11 Oct 2006 15:15:49 +0200

nfs-utils (1:1.0.10-1) unstable; urgency=low

  * New upstream release.
    * Fixes issues with missing write_oid() function. (Closes: #386117)
  * Drop versioned dependency on libnfsidmap1, now that libnfsidmap-dev has
    fixed shlibs. This makes it possible to build against libnfsidmap2.
    (Closes: #386116)
  * Update README.Debian.nfsv4.
    * Remove the part about a patched mount; the NFSv4 patch has been enabled
      in mount for some time.
    * Note that the special export structure might go away in the future.
    * Note that you will need idmapd and possibly gssd/svcgssd enabled.

 -- Steinar H. Gunderson <sesse@debian.org>  Wed,  6 Sep 2006 00:30:32 +0200

nfs-utils (1:1.0.9-12) unstable; urgency=low

  * Really remove dependency on sysvinit.

 -- Steinar H. Gunderson <sesse@debian.org>  Tue,  5 Sep 2006 13:59:29 +0200

nfs-utils (1:1.0.9-11) unstable; urgency=low

  * In the exports man page, document that there might be sensitive non-root
    gids as well as uids, for instance gid staff. (Closes: #385377)
  * Remove unnecessary dependency on sysvinit, in line with the Ubuntu
    packages.
  * Change the versioned build-dependency on librpcsecgss-dev (>= 0.14-2)
    to a build-conflict on 0.14-1, as that is the only version, and it's
    easier for backports and other distributions without the new version of
    librpcsecgss.

 -- Steinar H. Gunderson <sesse@debian.org>  Thu, 31 Aug 2006 01:53:45 +0200

nfs-utils (1:1.0.9-10) unstable; urgency=low

  * The -n option (short option for --no-tcp) to rpc.mountd was set
    to take a parameter, even though --no-tcp doesn't take any, the
    parameter is never used and the help doesn't mention any. Remove
    the colon after 'n' in the getopt string to fix it.
  * Add a versioned dependency from nfs-common to libnfsidmap1 (>= 0.16-3)
    temporarily, to work around #384688.

 -- Steinar H. Gunderson <sesse@debian.org>  Sat, 26 Aug 2006 03:29:09 +0200

nfs-utils (1:1.0.9-9) unstable; urgency=medium

  * Patched svc_socket.c to define __bzero only on ia64.
    Closes: #384552.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Fri, 25 Aug 2006 11:45:07 +1000

nfs-utils (1:1.0.9-8) unstable; urgency=medium

  * In the init scripts, don't attempt to use pid files; the daemons don't
    leave them, and --make-pidfile gives wrong pid files since all the daemons
    fork by themselves. Thus, multiple invocations of "start" could leave
    multiple daemons lying around, which could cause all sorts of problems.

 -- Steinar H. Gunderson <sesse@debian.org>  Thu, 17 Aug 2006 17:24:11 +0200

nfs-utils (1:1.0.9-7) unstable; urgency=low

  * New sourceful upload to force rebuild against librpcsecgss3, to get all
    architectures in sync and make sure rpc.gssd actually has a proper library
    to link against.
  * Build-depend against librpcsecgss-dev (>= 0.14-2), since that's when
    the package name bump happened.

 -- Steinar H. Gunderson <sesse@debian.org>  Sat, 12 Aug 2006 19:55:35 +0200

nfs-utils (1:1.0.9-6) unstable; urgency=low

  * Enable idmapd by default if we find an /etc/exports file, as NFSv4 exports
    need idmapd. (See the init script for the complete reasoning). Also start
    nfs-common on initial installation of nfs-kernel-server, as we don't want
    to reboot or restart nfs-common manually just to get idmapd working the
    first time. (Closes: #381366)

 -- Steinar H. Gunderson <sesse@debian.org>  Mon,  7 Aug 2006 21:27:37 +0200

nfs-utils (1:1.0.9-5) unstable; urgency=low

  * Put rpc.svcgssd back into place; removing it was obviously not what
    upstream intended to do after all. (Closes: #378686)
    * Add rpc.svcgssd to nfs-kernel-server.install.
    * Add the svcgssd(8) man page, as well as the rpc.svcgssd(8) symlink.
    * Add NEED_SVCGSSD and RPCSECGSSDOPTS options to nfs-kernel-server.default.
    * Start and rpc.svcgssd in the nfs-kernel-server init script. Currently,
      no autodetection is done; you'll need to enable it manually. (We can't
      start it regardless, since it bombs out if there is no adequate nfs/*
      entry in the keytab.)
  * Remove obsolete RPCGSSDOPTS option from the nfs-kernel-server init script.

 -- Steinar H. Gunderson <sesse@debian.org>  Wed, 19 Jul 2006 14:06:33 +0200

nfs-utils (1:1.0.9-4) unstable; urgency=low

  * Remove versioned dependency on coreutils, as we don't use it indirectly,
    only via ucf (so the dependency should be there). This makes the package
    somewhat easier to backport to sarge.
  * Remove the word "Debian" from our patch against the exports(5) man page,
    as Debian is not the only distribution using these packages.

 -- Steinar H. Gunderson <sesse@debian.org>  Sun, 16 Jul 2006 01:59:13 +0200

nfs-utils (1:1.0.9-3) unstable; urgency=low

  * Don't automatically assume that the kernel is modular if /sbin/modprobe
    is available, check for /proc/modules as well; patch from Nicolas
    Trecourt. (Closes: #377685)

 -- Steinar H. Gunderson <sesse@debian.org>  Thu, 13 Jul 2006 21:39:08 +0200

nfs-utils (1:1.0.9-2) unstable; urgency=low

  * Merge changes from 1.0.9-1 and 1.0.9pre1-4:
    * Disable mount.nfs once again; it's not ready for regular use according
      to upstream.
    * Revert mount options patch to mount.nfs; it's irrelevant as long as we
      don't install the binary.
  * Install the new rpcdebug program.
  * Remove the {mount,umount}.nfs manpages.

 -- Steinar H. Gunderson <sesse@debian.org>  Sun,  9 Jul 2006 00:16:54 +0200

nfs-utils (1:1.0.9-1) unstable; urgency=high

  * Updated co-mantainer mail address.
  * New upstream release.
    - Added 'mount.nfs' utility which can be used as a mount helper
      to mount nfs filesystems. It does not yet support 'user' mounts.
    - Makefile/autoconf tidyups
    - No compiles with no warnings
    - deleted debian/* at request of debian maintainer
    - deleted assorted other unused files
    - mountd can be run multi-threaded for configurations with many hundreds
      of clients (mountd -t 20).  Default is single-threaded
    - Support for selection NFS version to be exported, and protocol to
      use.  This requires kernel patches that should be in linux 2.6.19.
    - Use 65534 rather than -2 for default anon.  This makes no difference in many
      cases, but is important in some.
    - New utility 'rpcdebug' for controlled kernel 'debug' options for nfs and nfsd.
    - nfsstat reports NFSv4 operation statistics that should be available in
      linux 2.6.18.
    - assorted other fixes

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sat, 08 Jul 2006 14:26:40 +1000

nfs-utils (1:1.0.8+1.0.9pre1-4) unstable; urgency=low

  * Back out having separate mount.nfs; this is in line with upstream, who
    wants to delay this to 1.0.10.
    * No longer install {mount,umount}.{nfs,nfs4} to /sbin.
    * Revert patch applied in -3.

 -- Steinar H. Gunderson <sesse@debian.org>  Sat,  8 Jul 2006 16:43:38 +0200

nfs-utils (1:1.0.8+1.0.9pre1-3) unstable; urgency=high

  * Add patch from upstream to check for common mount options like "user"
    or "noauto". (Closes: #376839)
  * Remove obsolete copying of config.{sub,guess} in debian/rules.

 -- Steinar H. Gunderson <sesse@debian.org>  Fri,  7 Jul 2006 21:12:06 +0200

nfs-utils (1:1.0.8+1.0.9pre1-2) unstable; urgency=low

  * Provide LSB dependency information in the nfs-common and nfs-kernel-server
    init scripts; replaces the obsolete chkconfig info. (Closes: #376976)
  * Update the long descriptions.

 -- Steinar H. Gunderson <sesse@debian.org>  Thu,  6 Jul 2006 19:37:58 +0200

nfs-utils (1:1.0.8+1.0.9pre1-1) unstable; urgency=low

  * New upstream release.
    * debian/ directory removed from upstream; no need to repack or do ugly
      hacks in debian/rules anymore.
    * Obsoletes most Debian-specific patches, as they are already included
      upstream. For reference, the patches that are still Debian-specific are:
      * Use 65534 instead of -2 for anonuid, update manpage accordingly.
      * Debian-specific information in exports man page.
      * Don't use -rpath for gssd.
      * Hardcode default mapping in svcgssd. Adjust patch to use uid/gid
        65534 instead of -2, for consistency; also remove double error
        message.
      * Spelling fixes in nfsstat, showmount and statd man pages.
    * Supports options to bind to specific IPs. (Closes: #246939, #312720)
    * Include mount.nfs and friends, which will over time take over the job of
      doing NFS mounting from util-linux.
  * Complete sync with Ubuntu:
    * Pull in changes to use LSB display functions in init scripts; adapted
      to give output more like what was already in Debian, to fix a few bugs,
      and use plain echo in "status" targets, where using LSB functions makes
      no sense.
    * Depend on lsb-base from nfs-common and nfs-kernel-server.
  * Init script updates:
    * Document "status" option in the nfs-common init script's help message.
    * Drop "set -e"; it makes error checking wrt. the LSB functions harder.
    * Drop obsolete "cd /".
    * Fix syntax errors in "status" target.
    * In the "status" target, don't check that the output of pidof matches the
      pidfiles for gssd and idmapd, as they fork after start and thus get a
      different pid.
  * Include gss_clnt_send_err and gss_destroy_creds binaries.

 -- Steinar H. Gunderson <sesse@debian.org>  Tue,  4 Jul 2006 18:55:51 +0200

nfs-utils (1:1.0.8-10) unstable; urgency=high

  * Added nfs-common dependency on coreutils (>= 5.93-1). The readlink
    option -e was introduced since version 5.91 of coreutils. Closes:
    #376285.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sun, 02 Jul 2006 09:53:16 +1000

nfs-utils (1:1.0.8-9) unstable; urgency=high

  * svcgssd_proc.c: Temporary patch to do default mapping if we get an
    error while trying to map a gss principal to the appropriate uid/gid.
    This currently returns hardcoded values. Closes: #376258.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sat, 01 Jul 2006 22:30:11 +1000

nfs-utils (1:1.0.8-8) unstable; urgency=low

  * Include yet more ucf md5sums for /etc/default/nfs-common and
    /etc/default/nfs-kernel-server (/etc/exports was already OK); this time,
    I've gone through the entire 1.0.7 series programmatically, so hopefully
    there should finally be none left.

 -- Steinar H. Gunderson <sesse@debian.org>  Wed, 14 Jun 2006 10:47:23 +0200

nfs-utils (1:1.0.8-7) unstable; urgency=low

  * For some odd reason (ie. human error) this package has branched into two
    different versions from 1:1.0.8-5 on. This package rejoins the two branches.
    The changelog from the other 1:1.0.8-5 (which was probably never accepted
    except as part of 1:1.0.8-6) is repeated for convenience and automated bug
    closing below:
  * Patch nfs-common and nfs-kernel-server init scripts to make them more LSB
    compatible, fixing issues with heartbeat2; based on patches by Kilian
    CAVALOTTI. (Closes: #371084, #371085)
    * Add --oknodo to start-stop-daemon in start targets, to make a second
      "start" invocation return exit status 0.
    * Add status targets to the two init scripts, with correct output and
      exit codes.

 -- Steinar H. Gunderson <sesse@debian.org>  Thu, 08 Jun 2006 17:31:28 +0200

nfs-utils (1:1.0.8-5) unstable; urgency=low

  * Make nfs-kernel-server depend on at least version 1.0.8 of nfs-common;
    lots of stuff will break with an upstream version mismatch.

 -- Steinar H. Gunderson <sesse@debian.org>  Wed,  7 Jun 2006 01:13:28 +0200

nfs-utils (1:1.0.8-4) unstable; urgency=low

  * Fix a few spelling errors in the man pages; patches from A Costa.
    (Closes: #370561, #370562, #370563)

 -- Steinar H. Gunderson <sesse@debian.org>  Tue,  6 Jun 2006 11:59:28 +0200

nfs-utils (1:1.0.8-3) unstable; urgency=low

  * The "what the heck, I uploaded an outdated 1:1.0.8-1 release without
    the pkg-config fix and some other changes" release.
  * Tweaks to debian/rules:
    * Drop --sourcedir=debian/tmp from dh_install so we can also install files
      directly from the debian/ directory.
    * Minimize direct uses of install; move all the ucf installation into the
      debhelper .install files.
    * Remove some obsolete comments.
  * Remove empty (modulo #DEBHELPER# tokens) nhfsstone.{postinst,prerm}
    scripts.
  * Clear out obsolete (pre-sarge) debconf and rc.d purging from postinst
    script. (Same as in 1:1.0.7-10, but for nfs-kernel-server too, not just
    nfs-common.) Minor style cleanup.
  * Include the md5sum for /etc/default/nfs-kernel-server from 1:1.0.7-13,
    to make ucf not complain when upgrading from that version.

 -- Steinar H. Gunderson <sesse@debian.org>  Sat,  3 Jun 2006 11:00:14 +0200

nfs-utils (1:1.0.8-2) unstable; urgency=low

  * Added missing dependency on pkg-config.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Fri, 02 Jun 2006 19:08:11 +1000

nfs-utils (1:1.0.8-1) unstable; urgency=low

  * New upstream version. (Closes: #364902)
    * Repack without the debian/ directory; remove ugly hacks in
      debian/rules that as a result are no longer needed. This also makes
      the permissions in debian/ right.
    * Forward-port all relevant patches from the old Debian diff.
    * rpc.svcgssd no longer exists (it's consolidated into rpc.gssd); remove
      all references to it in from the debian/ directory.
    * Build-depend on libgssapi-dev and librpcsecgss-dev, as both as now
      needed to build nfs-utils.
    * Give DESTDIR instead of install_prefix to "make install" (install_prefix
      no longer works).
  * No longer handle gssapi_mech.conf via ucf; it is now managed by the
    librpcsecgss package. Remove all references to it in debian/rules.
  * We no longer need to run autoconf as a part of debian/rules; its results
    are parts of the diff instead, as per usual packaging practices.
    * Drop the build-dependency on autoconf2.13 and autotools-dev.
    * No longer rm various autotools-generated files in the clean target.

 -- Steinar H. Gunderson <sesse@debian.org>  Thu,  1 Jun 2006 01:59:39 +0200

nfs-utils (1:1.0.7-19) unstable; urgency=low

  * Include the md5sum for /etc/default/nfs-common from 1:1.0.7-15, to
    make ucf not complain when upgrading from that version. (Closes: #368982)

 -- Steinar H. Gunderson <sesse@debian.org>  Sat, 27 May 2006 12:54:50 +0200

nfs-utils (1:1.0.7-18) unstable; urgency=low

  * Make /etc/exports, /etc/default/nfs-{common,kernel-server},
    /etc/idmapd.conf and /etc/gssapi_mech.conf be managed by ucf
    instead of being conffiles. (Closes: #353501)
    * Make directories /usr/share/nfs-{common,kernel-server}/conffiles,
      and install files in there at debian/rules time. At the same time,
      install the files with install instead of cp.
    * Call ucf at postinst time to get the files in.
    * Correspondingly, call ucf at purge time to remove them as needed (code
      snippets lifted from autofs).
    * Make nfs-common and nfs-kernel-server depend on ucf.
    * Remove the call to dh_installinit -- since it was already not modifying
      postinst/postrm/prerm scripts due to being called with -n (I must admit
      I don't know why, but I assume this has a good reason :-) ) and we now
      install the init script ourself (because we don't want dh_installinit
      to install our .default files to /etc), it doesn't do anything useful
      for us.
    * Include .md5sum files with MD5 checksums of previous defaults shipped,
      to ease the transition into ucf; at the moment, only checksums from
      1:1.0.7-17 (the last non-ucf version) and 1:1.0.6-3.1 (the version
      shipped in sarge) are included, but I think that should actually cover
      all the defaults shipped in the period between as well.
    * Install the .md5sum files in debian/rules.
  * Remove call to dh_installexamples in debian/rules; we don't install any
    examples.

 -- Steinar H. Gunderson <sesse@debian.org>  Mon, 22 May 2006 01:44:33 +0200

nfs-utils (1:1.0.7-17) unstable; urgency=low

  * The umounting of rpc_pipefs is non-critical and will fail if there are
    any active NFS mounts during, say, a restart. Thus, send its stderr to
    /dev/null, and ignore its error status.
  * Build-Depend on perl, as it's used in debian/rules.

 -- Steinar H. Gunderson <sesse@debian.org>  Sun, 14 May 2006 18:22:19 +0200

nfs-utils (1:1.0.7-16) unstable; urgency=high

  * urgency=high; fixes an RC bug.
  * If one upgraded from 1:1.0.7-13, /var/lib/nfs might never be set as owned
    by statd. Bump the version check, so everything before this version gets
    chowned properly. (Closes: #367009)
  * Add more detailed explanations and links to the Debian wiki for
    /etc/defaults/nfs-{common,kernel-server}. (Closes: #366989, #366990)

 -- Steinar H. Gunderson <sesse@debian.org>  Sat, 13 May 2006 16:06:08 +0200

nfs-utils (1:1.0.7-15) unstable; urgency=low

  * /var/lib/nfs/state is not a directory; it shouldn't really be mkdir-ed
    or chowned (unless it already exists, in which case it should be
    chowned). However, /var/lib/nfs should be owned by statd, so it can
    create the file there. (Really Closes: #366654)
  * umount /var/lib/nfs/rpc_pipefs on /etc/init.d/nfs-common stop; not doing
    so could prevent purging of nfs-common.

 -- Steinar H. Gunderson <sesse@debian.org>  Thu, 11 May 2006 12:42:13 +0200

nfs-utils (1:1.0.7-14) unstable; urgency=high

  * urgency=high; fixes RC bugs (or at least, bugs that should have been RC).
  * Add /var/lib/nfs/state to nfs-common.dirs, since we chown it in the
    postinst. This would prevent nfs-common from configuring on initial
    install. (Closes: #366654)
  * Grep after "init_nf(sd|<tab>)" instead of "init_nfsd" in kallsyms, to work
    around some odd symbol mangling problems on some alpha kernels.
    (Closes: #363932)

 -- Steinar H. Gunderson <sesse@debian.org>  Wed, 10 May 2006 22:00:59 +0200

nfs-utils (1:1.0.7-13) unstable; urgency=low

  * Up the Standards-Version to 3.7.2; no changes needed.
  * Tidy up after the /home/statd mess if there was a chance the user ever
    had 1:1.0.7-10 installed; based on patch from Oskar Liljeblad.
    (Closes: #366182)
  * Fix the version check for the chown-ing of /var/lib/nfs/sm etc.; I
    forgot to include the epoch, so only new installs ever got statd running
    as non-root. (Due to this, the version number to test against is of course
    also bumped.)

 -- Steinar H. Gunderson <sesse@debian.org>  Sat,  6 May 2006 01:50:10 +0200

nfs-utils (1:1.0.7-12) unstable; urgency=low

  * Move the home directory again (by request), this time to /var/lib/nfs.

 -- Steinar H. Gunderson <sesse@debian.org>  Wed,  3 May 2006 21:27:18 +0200

nfs-utils (1:1.0.7-11) unstable; urgency=low

  * When creating statd user, create it with a home directory of /nonexistant;
    it doesn't really require a home directory. (Closes: #365514, #365721)
  * Fix the signal number for USR1 (actually, use the name instead) in
    nhfsrun. (Closes: #365657)

 -- Steinar H. Gunderson <sesse@debian.org>  Wed,  3 May 2006 19:51:17 +0200

nfs-utils (1:1.0.7-10) unstable; urgency=low

  * Intermediate 1.0.7 release, waiting for librpcsecgss to be uploaded into
    Debian so we can upload 1.0.8.
  * Clarify what the NEED_* options in /etc/default/nfs-common mean.
    (Closes: #364625)
  * Make /var/lib/nfs/{sm,sm.bak,state,rpc_pipefs} be owned by a new "statd"
    user (created in postinst), causing rpc.statd to be run as that user
    instead of root. (Closes: #240689)
    * Make nfs-common depend on adduser.
  * Clear out obsolete (pre-sarge) debconf and rc.d purging from postinst
    script.
  * Use invoke-rc.d in nfs-common and nfs-kernel-server prerms instead of
    calling the /etc/init.d script directly; fixes two lintian warnings.

 -- Steinar H. Gunderson <sesse@debian.org>  Thu, 27 Apr 2006 00:32:27 +0200

nfs-utils (1:1.0.7-9) unstable; urgency=low

  * When checking for nfsd support in the kernel, check for init_nfsd
    (which is a function) rather than nfsd_version (which is a variable);
    kernels compiled without CONFIG_KALLSYMS_ALL=y have only the former.
    (Closes: #361026)

 -- Steinar H. Gunderson <sesse@debian.org>  Thu,  6 Apr 2006 13:31:48 +0200

nfs-utils (1:1.0.7-8) unstable; urgency=low

  * Don't complain about missing sync/async for a read-only export.
    (Closes: #265409)
  * Implement --state-directory-path for rpc.mountd; most code borrowed
    from rpc.statd. (Closes: #352387)
    * Update mountd.man accordingly.

 -- Steinar H. Gunderson <sesse@debian.org>  Wed,  5 Apr 2006 22:54:09 +0200

nfs-utils (1:1.0.7-7) unstable; urgency=high

  * urgency=high, fixes an RC bug.
  * Let the init script test for kernel support before trying to start
    nfs-kernel-server. (Closes: #360420)
  * Include help on how to activate /etc/exports changes; text from
    Martin Pool. (Closes: #239286)
  * Document sync option in exports man page. (Closes: #297135)
  * Give an example in /etc/exports. (Closes: #345460)
  * Write a mini-HOWTO on how to get NFSv4 up and running. (Closes: #294468)
    * Install it in debian/rules.

 -- Steinar H. Gunderson <sesse@debian.org>  Wed,  5 Apr 2006 18:15:20 +0200

nfs-utils (1:1.0.7-6) unstable; urgency=low

  * Let the man-page fixup script in debian/rules look for the man pages in
    the right place.
  * Modprobe nfs4 along with nfs in the nfs-common init script. Also modprobe
    rpcsec_gss_krb5 before we start gssd.
  * Implement autodetection for NEED_IDMAPD and NEED_GSSD, based on /etc/fstab.
  * Add a note to the top of /etc/defaults/nfs-common that the default is to
    autodetect.
  * Move /var/lib/nfs/rpc_pipefs from nfs-kernel-server.dirs to
    nfs-common.dirs; it's needed by the client as well.
  * Let dh_install install from debian/tmp/ instead of debian/tmp; it fixes
    minor aesthetic issues in the build log.

 -- Steinar H. Gunderson <sesse@debian.org>  Sat,  1 Apr 2006 02:46:53 +0200

nfs-utils (1:1.0.7-5) unstable; urgency=low

  * Non-non-maintainer-upload this time, it seems. :-)
  * Don't let the init script fail if there wasn't any lockd threads to kill;
    this could cause the package to fail configuration.
  * Move to debhelper compatibility level 5.
    * Use dh_install instead of dh_movefiles (actually a combination was used
      earlier). Move stuff from *.files accordingly into *.install.
    * mkdir debian/tmp manually before doing make install, and remove it
      in the clean target.
    * Use straight cp -a instead of dh_install for the files that _don't_
      come from debian/tmp/ (the two /etc files).
    * Fix the "fixups" part in debian/rules to reflect the behaviour of
      dh_install compared to dh_movefiles (ie. don't rm lots of stuff in
      debian/tmp, etc.).
    * Make a debian/nfs-kernel-server.install listing explicitly the files
      we want in that package; with dh_movefiles everything from make install
      was implicitly put there. This has the side effect that the man pages
      for rpc.gssd and idmap.conf are no longer put in nfs-kernel-server, but
      in nfs-common, where they should be.
    * Use dh_installman to install the manpages, to make sure they're in the
      right place (and move the manpage lists from *.files to *.manpages
      accordingly). List the rpc.* variants of the manpages in *.links,
      instead of assuming dh_compress (!) will make them for us. Bonus points
      for then not including the nonsensical rpc.* variants, such as
      rpc.idmapd.conf(5).
    * Don't mv lockd, statd and showmount manually from /usr/sbin to /sbin;
      let the .install file do it for us.
    * Remove *.conffiles; debhelper now sets everything in /etc as conffiles
      automatically.
    * Extend the debian/rules rm hack to the files we removed in this version
      (ick).
    * In debian/control, make nfs-common replace nfs-kernel-server
      (<< 1:1.0.7-5), since the idmapd manpage switched packages.
  * Remove old cruft in debian/rules file:
    * Remove non-used dh_* programs.
    * Remove obsolete source and diff targets.
    * Remove SETGCC hack.
  * Don't set rpath for rpc.gssd and rpc.svcgssd (fixes lintian warnings).

 -- Steinar H. Gunderson <sesse@debian.org>  Tue, 28 Mar 2006 02:57:23 +0200

nfs-utils (1:1.0.7-4) unstable; urgency=low

  * Ack NMU. Thanks Steinar H. Gunderson.
    Closes: #239230, #245449, #246904, #247473, #248300, #252081,
    #287026, #294928, #303497, #310940, #323460, #326663, #332047,
    #337836, #338292, #359024.
  * Added Steinar H. Gunderson and Daniel Baumann as uploaders.
  * Added homepage to package descriptions.
  * Set Standards-Version to 3.6.2.
  * Fixed outdated-autotools-helper-file.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Mon, 27 Mar 2006 13:22:51 +1100

nfs-utils (1:1.0.7-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Set u+w on all files in debian/, so dch etc. actually works.
  * Add /var/lib/nfs/v4recovery to nfs-kernel-server.dirs. (Closes: #337836).
  * Add /var/lib/nfs/rpc_pipefs to nfs-kernel-server.dirs. (Closes: #310940).
  * Fix problems with exportfs -o when there are multiple entries of the same
    type for the same path that match a given client; patch from Fumihiko
    Kakuma. (Closes: #245449)
  * Start nfs-kernel-server even if /etc/exports is empty, as long as it
    exists; patch from Alexis Huxley. (Closes: #246904) This patch also
    happens to fix and thus Closes: #338292.
  * When stopping daemons, do it even if they do not run as root; based on a
    patch from Andreas Schmidt. (Closes: #247473)
  * SIGKILL kernel lockd thread on stop, to make the kernel release all its
    locks; patch from Jeffrey Layton. (Closes: #252081)
  * Flush the kernel export table on stop; patch from Jeffrey Layton
    (Closes: #248300).
  * Change default root-squashed uid from -2 to 65534; the former changes
    depending of the size of uid_t, and we want it to match the user "nobody"
    (which has uid 65534). (Closes: #323460)
  * Remove dependency on debconf, as it's no longer used. Also, don't run
    dh_installdebconf anymore. (Closes: #332047)
  * Check for /sbin/modprobe before using it, for non-modular kernels;
    patch from Vincent Crvt. (Closes: #294928)
  * Replaced the rather emtpy nhfsstone long description by the one from
    its manpage. (Closes: #303497)
  * Don't ship upstream README anymore, as it's not relevant for our users.
    (Closes: #326663)
  * Add the ability to start nfs-kernel-server niced; patch from Kimmo
    Tervinen. (Closes: #287026)
  * Escape '#' when writing export entries, so they are not mistakenly parsed
    as comments when re-reading them. (Closes: #239230)
  * Also Closes: #359024 automatically by recompiling package.

 -- Steinar H. Gunderson <sesse@debian.org>  Sun, 26 Mar 2006 14:57:50 +0200

nfs-utils (1:1.0.7-3) unstable; urgency=medium

  * New maintainer, closes: #303559.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Fri, 08 Apr 2005 11:25:17 +1000

nfs-utils (1:1.0.7-2) unstable; urgency=low

  * Orphaning package.
  * Upstream CVS sync:
    > Support "no_acl" export option, for the few specially patched
      kernels that understand it.  (Closes: #253824)
    > Fix FTBTS on amd64.  (Closes: #297729)
    > Update config.{guess,sub}.  (Closes: #300552)

 -- Chip Salzenberg <chip@debian.org>  Thu,  7 Apr 2005 09:07:24 -0400

nfs-utils (1:1.0.7-1) unstable; urgency=medium

  * Acknowledge NMU; thanks to joeyh.  (closes: #287053)
  * New upstream version:
    > Add support for NFSv4.
    > Ignore SIGPIPE, fixing a remote DOS.  Note that the previous
      NMU already fixed this bug.  (CAN-2004-1014)
    > At long last, fix "erroneous SM_UNMON" warnings.  (closes: #165744)

 -- Chip Salzenberg <chip@debian.org>  Tue, 11 Jan 2005 23:31:05 -0500

nfs-utils (1:1.0.6-3) unstable; urgency=medium

  * Remove obsolete debconf-related files in debian/rules, because source
    diffs don't implement removals.  (closes: #239331)

 -- Chip Salzenberg <chip@debian.org>  Wed, 24 Mar 2004 18:09:21 -0500

nfs-utils (1:1.0.6-2) unstable; urgency=medium

  * Upstream CVS sync.
  * Urgency "medium" to get debconf fix into testing.
  * Remove debconf warning notes in favor of nfs-kernel-server.NEWS.
    (closes: #228365)
  * Make /etc/exports a conffile.  (closes: #224557)
  * Clean up /var/lib/nfs in postrm.
  * Test kernel version in init script; all kernels from 2.4 forward
    have a lockd thread, and don't need rpc.lockd.  Probe older kernels
    by checking for lockd-related symbols.  When in doubt, go ahead and
    run rpc.lockd; if it's not needed, it exits.  (closes: #205867)
  * Don't bother removing nfs-server's init links; it's long dead.

 -- Chip Salzenberg <chip@debian.org>  Thu, 18 Mar 2004 17:06:00 -0500

nfs-utils (1:1.0.6-1) unstable; urgency=low

  * New upstream version:
    > Workaround glibc bug with large fd rlimits.
  * Japanese debconf translation from Kenshi Muto <kmuto@debian.org>.
    (closes: #209370)

 -- Chip Salzenberg <chip@debian.org>  Fri, 12 Sep 2003 12:47:58 -0400

nfs-utils (1:1.0.5-3) unstable; urgency=high

  * Upstream CVS sync:
    > Fix crash on invalid reverse DNS.  (closes: #209318)

 -- Chip Salzenberg <chip@debian.org>  Tue,  9 Sep 2003 14:02:46 -0400

nfs-utils (1:1.0.5-2) unstable; urgency=low

  * Upstream CVS sync:
    > Improve support for 2.6.0 /proc interface.
  * Use po-debconf.  Patch from Andre Luis Lopes <andrelop@ig.com.br>,
    with improved French from Christian Perrier <bubulle@debian.org>.
    (closes: #187866, #202196)

 -- Chip Salzenberg <chip@debian.org>  Wed, 20 Aug 2003 17:03:44 -0400

nfs-utils (1:1.0.5-1) unstable; urgency=high

  * New upstream version:
    > Don't use freed memory.  (closes: #201311, #201598, #201873)
    > Fix mountd -o arg.  (closes: #197355)

 -- Chip Salzenberg <chip@debian.org>  Thu, 24 Jul 2003 15:40:12 -0400

nfs-utils (1:1.0.3-2) unstable; urgency=high

  * Upstream CVS sync:
    > Fix one-byte buffer overflow in logging code.

 -- Chip Salzenberg <chip@debian.org>  Tue, 10 Jun 2003 11:11:56 -0400

nfs-utils (1:1.0.3-1) unstable; urgency=low

  * New upstream version:
    > Support reading and writing export cache in /proc/rpc/*/channel,
      as current syscall interface may not survive into 2.6 on all archs.

 -- Chip Salzenberg <chip@debian.org>  Wed, 26 Mar 2003 11:38:52 -0500

nfs-utils (1:1.0.2-2) unstable; urgency=medium

  * Upstream CVS sync:
    > Fix one-byte buffer overflow with no apparent security implications.
      (It's a readlink on a path that should be writable only to root.)
  * Make nfs-{common,kernel-server} depend on sysvinit 2.80-1 for invoke-rc.d.
  * Make nfs-common depend on debconf (long overdue).
  * Fix package description to name nfs-user-server as an alternative, rather
    than "nfs-server" (which no longer exists).

 -- Chip Salzenberg <chip@debian.org>  Wed, 12 Feb 2003 21:27:24 -0500

nfs-utils (1:1.0.2-1) unstable; urgency=high

  * New upstream version:
    > Allow program stdin to be a non-INET socket.  (closes: #142557)
  * Start nfs-common after nfs-kernel-server so that the server is running
    when statd restarts; without this change, a rebooting server may make
    clients lose mounts.  (This postinst removes bad rc.d links from old
    packages.)  From Philippe Troin <phil@fifi.org>.  (closes: #160800)
  * Make init scripts exit with non-zero status when daemons don't start.
  * Add titles to templates where I forgot them.  (closes: #158489)
  * Add /etc/default/{nfs-common,nfs-kernel-server} so setting random
    parameters doesn't require editing init scripts.  (closes: #131539)
  * Split templates into separate files, and add French templates.
    (closes: #134630)
  * Use invoke-rc.d to avoid premature daemon starts.  (closes: 158574)
  * Change priority of nfs-kernel-server to 'optional'.

 -- Chip Salzenberg <chip@debian.org>  Sun, 15 Sep 2002 22:00:27 -0400

nfs-utils (1:1.0.1-1) unstable; urgency=low

  * New upstream version:
    > BIG CHANGE: Exports default to "sync", that is, synchronous writes.
      This is safer but MUCH SLOWER than the old default of "async".
      All exports should be marked as either "sync" or "async" to avoid a
      warning from exportfs.
  * Patches from CVS through 2002-08-26.
  * Let init script start statd on a specific port.  (closes: #144344)
  * Fix typo in debconf message about tcpwrappers.  (closes: #128709)
  * Fix typo in rpc.nfsd(8).  (closes: #152556)
  * Add Russian templates.  (closes: #136599, #136932)

 -- Chip Salzenberg <chip@debian.org>  Mon, 26 Aug 2002 12:17:57 -0400

nfs-utils (1:1.0-2) unstable; urgency=low

  * Fail an export if its mapping option is unsupported.  (closes: #85678)

 -- Chip Salzenberg <chip@debian.org>  Wed,  2 Jan 2002 15:52:37 -0800

nfs-utils (1:1.0-1) unstable; urgency=medium

  * New upstream version.  (Version number is only change.)
  * Urgency "medium" so woody users see the pretty new version number.
    (Yeah, it's shallow... but, doggone it, this is mature code.)

 -- Chip Salzenberg <chip@debian.org>  Wed, 26 Dec 2001 20:21:15 -0800

nfs-utils (1:0.3.3-6) unstable; urgency=high

  * Upstream fixes:
    > Ignore case when comparing host names.
    > Use all addresses of multi-homed hosts in export processing.
    > When reading /proc/fs/nfs/exports, assume noasync and nowgather;
      older kernels did so, while newer kernels report them explicitly.
    > Remove man page refs to "hosts_allow(5)".  (closes: #122540)
    > In exports.5: Emphasize the need for options to immediately follow
      client names.  Explain that wildcards don't usually work on addresses,
      but may work when reverse DNS fails. (closes: #118040, #116039)

 -- Chip Salzenberg <chip@debian.org>  Wed, 26 Dec 2001 18:54:35 -0800

nfs-utils (1:0.3.3-5) unstable; urgency=high

  * Keep NFS fully operational during upgrade.  (closes: #76544)
  * When calling update-rc.d, send stdout to /dev/null, but not stderr.

 -- Chip Salzenberg <chip@debian.org>  Thu, 13 Dec 2001 18:50:47 -0800

nfs-utils (1:0.3.3-4) unstable; urgency=high

  * High priority due to changes in previous version.
  * Upstream fixes:
    > Close filehandles in nfsd before spawing kernel threads.  This is a
      workaround for a kernel bug.  (closes: #121213)
    > Document that both host names *and* addresses are checked with tcpwrappers.
      This is a doc update, not a change.  (closes: #108493)
    > Don't assume that strings starting with digits are IP addresses;
      host names are allowed to start with digits.  (closes: #68977)
  * German template for nfs-common.  (closes: #120939)

 -- Chip Salzenberg <chip@debian.org>  Mon, 26 Nov 2001 11:50:43 -0800

nfs-utils (1:0.3.3-3) unstable; urgency=low

  * Upstream fixes:
    > Accept obsolete mount option "crossmnt" for parsing old xtab files
      after upgrade.  (closes: #78801)
    > Put filenames into more error messages.
  * Stop debconf before starting nfsd to avoid a hang.  Kernel threads
    like nfsd aren't supposed to inherit open files from the programs that
    start them, but nfsd does.  See debconf tutorial.  (closes: #115817)
  * Rebuild with current glibc.  (closes: #119545)
  * Carefully account for ownership of /var/lib/nfs/*.  (closes: #117258)
  * Warn about statd using tcpwrappers.  (closes: #92666)
  * Only warn about mountd's tcpwrappers name change if the old name
    appears in the tcpwrapper config files.
  * German template for nfs-kernel-server.  (closes: #117196)

 -- Chip Salzenberg <chip@debian.org>  Wed, 21 Nov 2001 18:30:36 -0800

nfs-utils (1:0.3.3-2) unstable; urgency=high

  * The "Test It Before Release, Stupid" release.
  * Repair total failure of rpc.mountd.  (closes: #115095)

 -- Chip Salzenberg <chip@debian.org>  Thu, 11 Oct 2001 13:03:45 -0700

nfs-utils (1:0.3.3-1) unstable; urgency=medium

  * The "Life Goes On" release.
  * New upstream version.  (closes: #113042)
    > Avoid DNS when unexporting... important for shutdown.
    > Recognize double-quote and \octal quoting in pathnames.
    > Print pathnames with \octal quoting as necessary.
  * Depend on a version of glibc that restores rpcinfo to its rightful
    place.  (closes: #102400)
  * Fix pathname in mountd doc.  (closes: #112088)
  * debian/nfs-kernel-server.postinst: Remove rc.d symlinks to old
    nfs-server init script, which doesn't realize when it's been removed.
    (closes: #97099)
  * Warn users about "rpc.mountd" -> "mountd" in /etc/hosts.{allow,deny}.
    This marks my first use of debconf!  W00T!  (closes: #92671)

 -- Chip Salzenberg <chip@debian.org>  Mon,  8 Oct 2001 15:04:08 -0700

nfs-utils (1:0.3.2-2) unstable; urgency=low

  * Rebuild with new libc.  (closes: #97252, #97455, #99829, #100317)
  * Fix typo in nfs-kernel-server init script.  (closes: #100380)
  * Start all daemons in root directory.

 -- Chip Salzenberg <chip@debian.org>  Fri, 15 Jun 2001 15:57:18 -0700

nfs-utils (1:0.3.2-1) unstable; urgency=low

  * Upstream changes to statd:
    > Recognize long options.
    > On startup, close std{in,out,err}.
    > Updated man page.
  * Let debhelper handle doc symlinks.  (closes: #74094)
  * Rename upstream changelog, per policy.
  * Get rid of suidregister call.

 -- Chip Salzenberg <chip@debian.org>  Sun,  1 Apr 2001 19:21:26 -0700

nfs-utils (1:0.3.1-1) unstable; urgency=medium

  * New upstream version.
  * Incorporate (but not all) Bug Party changes by David LaBissoniere
    <labiss@usit.net>:
    > Mention upstream source and license in copyright file.  (closes: #79997)
    > Add Build-Depends for debhelper and libwrap0-dev.  (closes: #84131)

 -- Chip Salzenberg <chip@debian.org>  Mon, 26 Feb 2001 16:51:15 -0800

nfs-utils (1:0.3-2) unstable; urgency=low

  * Upstream:
    > Don't modify socket buffer sizes.

 -- Chip Salzenberg <chip@debian.org>  Mon, 12 Feb 2001 20:46:22 -0800

nfs-utils (1:0.3-1) unstable; urgency=low

  * New upstream.

 -- Chip Salzenberg <chip@debian.org>  Sun, 28 Jan 2001 18:13:59 -0800

nfs-utils (1:0.2.1-5) unstable; urgency=low

  * Fix statd callback protection ("--secure-statd") to
     1. work with current kernels as far as possible, and
     2. allow for Trond's recent NFS patches, which change the
        static callback RPC procedure.
  * Store return values of getc and getopt in int variables:
    they can return EOF, which requires an int. (From NMU)

 -- Chip Salzenberg <chip@debian.org>  Sat, 20 Jan 2001 20:03:07 -0800

nfs-utils (1:0.2.1-4) unstable; urgency=medium

  * Warn about common errors in /etc/exports.  (closes: #66421)
  * Fix line numbers in messages about /etc/exports.  (closes: #59734)
  * Let nhfsstone replace files from old server packages.  (closes: #59261)

 -- Chip Salzenberg <chip@valinux.com>  Sun,  3 Dec 2000 14:41:13 -0800

nfs-utils (1:0.2.1-3) unstable; urgency=low

  * Add portmap dependency. (closes: #75639)
  * Upstream:
    > mountd: New option "-n/--no-tcp".

 -- Chip Salzenberg <chip@valinux.com>  Sun, 19 Nov 2000 09:22:19 -0800

nfs-utils (1:0.2.1-2) unstable; urgency=high

  * On shutdown, kill user-mode lockd, not kernel-mode lockd thread.
  * Big upstream fix:
     > statd: Repair memory leaks and corruptions.
  * Other upstream patches:
     > exportfs: Support CIDR netmasks (e.g. "1.2.3.4/24").
     > statd: Fix callbacks to local lockd; Be paranoid about IP addresses
       when doing callbacks to local lockd; Add debugging features; Make
       logs more readable.

 -- Chip Salzenberg <chip@valinux.com>  Thu,  2 Nov 2000 18:10:36 -0800

nfs-utils (1:0.2.1-1) unstable; urgency=low

  * New upstream w/minor fixes.

 -- Chip Salzenberg <chip@valinux.com>  Mon,  2 Oct 2000 17:32:00 -0700

nfs-utils (1:0.2-1) unstable; urgency=low

  * New upstream version number.
  * Minor fixes.

 -- Chip Salzenberg <chip@valinux.com>  Tue,  5 Sep 2000 11:30:00 -0700

nfs-utils (1:0.1.9.1-2) unstable; urgency=medium

  * Upstream addition of tcpwrapper support in statd and mountd.
  * Upstream fixes from H.J. Lu and Neil Brown.
  * Run exportfs first during startup (again).

 -- Chip Salzenberg <chip@valinux.com>  Sat, 26 Aug 2000 17:30:00 -0700

nfs-utils (1:0.1.9.1-1) frozen unstable; urgency=high

  * New upstream version, fixes more logging errors.
  * Fix Debian distribution list.

 -- Chip Salzenberg <chip@valinux.com>  Wed,  5 Jul 2000 15:00:00 -0800

nfs-utils (1:0.1.8.2-2) unstable; urgency=high

  * Fix serious logging error in statd.

 -- Chip Salzenberg <chip@valinux.com>  Wed, 28 Jun 2000 23:00:00 -0800

nfs-utils (1:0.1.8.2-1) unstable; urgency=low

  * New upstream version.
  * During startup, start daemons before running exportfs.

 -- Chip Salzenberg <chip@valinux.com>  Wed, 28 Jun 2000 15:00:00 -0800

nfs-utils (1:0.1.8.1-1) unstable; urgency=medium

  * New upstream version.
  * Chdir to / before spawning daemons. (closes: #60837, #64857)
  * Follow policy for init messages. (closes: #59184, #65519)

 -- Chip Salzenberg <chip@valinux.com>  Mon, 12 Jun 2000 22:30:00 -0800

nfs-utils (1:0.1.8-1) unstable; urgency=low

  * New upstream version.

 -- Chip Salzenberg <chip@valinux.com>  Sun,  4 Jun 2000 13:30:00 -0800

nfs-utils (1:0.1.7.1-1) unstable; urgency=medium

  * New upstream version.
  * Use fewer sockets in mountd by sharing RPC transports,
    even when it is run without '-p'.

 -- Chip Salzenberg <chip@valinux.com>  Sat, 29 Apr 2000 20:45:00 -0800

nfs-utils (1:0.1.6-3) frozen unstable; urgency=medium

  * Fix kernel server shutdown order: mountd, nfsd, exportfs.
  * Upstream:  Fix 'mountd -p'.  Use fewer UDP sockets
    by sharing RPC transports.  Display more mount flags.

 -- Chip Salzenberg <chip@valinux.com>  Mon, 13 Mar 2000 14:45:00 -0800

nfs-utils (1:0.1.6-2) frozen unstable; urgency=medium

  * Split off nhfsstone into its own package, since it has
    helper scripts and most people won't use it.
  * Also include nhfsstone's helpers: nhfs{run,nums,graph}.
  * Install man page for nhfsstone. (closes: #55194)
  * Always run lockd on non-module kernels. (closes: #57841)
  * Make init scripts config files. (closes: #55193)
  * Handle "force-reload" in nfs-common's init script. (ditto)
  * Fix line numbers in error messages. (closes: #57717)
  * Write man page for rpc.lockd. (closes: #55192)
  * Fix typo in exports(5) man page. (closes: #46933)
  * Add /usr/doc -> /usr/share doc links. (closes: #54983)
  * Add copyright file. (closes: #55195)
  * Refresh sources from upstream.
  * Refine dependencies.

 -- Chip Salzenberg <chip@valinux.com>  Sat, 26 Feb 2000 02:00:00 -0800

nfs-utils (1:0.1.6-1) unstable; urgency=high

  * New upstream version.
  * Make nfs-kernel-server conflict with and replace knfs.

 -- Chip Salzenberg <chip@valinux.com>  Wed, 12 Jan 2000 19:30:00 -0800

nfs-utils (1:0.1.5-2) unstable; urgency=high

  * Rename packages to "nfs-common" and "nfs-kernel-server".
    (Previous package names were only temporary anyway.)
  * Prepend "1:" to version, to override existing nfs-common.
  * Remove rpc.rquotad -- it's already packaged in "quota".

 -- Chip Salzenberg <chip@valinux.com>  Wed, 29 Dec 1999 17:00:00 -0800

nfs-utils (0.1.5-1) unstable; urgency=medium

  * New upstream version.
  * Allow for some kernels not requiring rpc.lockd.

 -- Chip Salzenberg <chip@valinux.com>  Sun, 19 Dec 1999 11:40:00 -0800

nfs-utils (0.1.4-1) unstable; urgency=low

  * New upstream version.
  * Don't disable NFSv3 by default.

 -- Chip Salzenberg <chip@valinux.com>  Fri, 10 Dec 1999 23:00:00 -0800

nfs-utils (0.1.3-2) unstable; urgency=low

  * Conflict with standard NFS packages.

 -- Chip Salzenberg <chip@valinux.com>  Fri,  3 Dec 1999 22:00:00 -0800

nfs-utils (0.1.3-1) unstable; urgency=low

  * New upstream version.
  * Start following CVS tree at SourceForge.

 -- Chip Salzenberg <chip@valinux.com>  Fri,  3 Dec 1999 20:00:00 -0800
